	component ed_synth_perf_monch0 is
		port (
			clk                : in  std_logic                      := 'X';             -- clk
			reset_n            : in  std_logic                      := 'X';             -- reset_n
			csr_clk            : in  std_logic                      := 'X';             -- clk
			csr_reset_n        : in  std_logic                      := 'X';             -- reset_n
			master_reset_reset : out std_logic;                                         -- reset
			src_axi4_awready   : in  std_logic                      := 'X';             -- awready
			src_axi4_awvalid   : out std_logic;                                         -- awvalid
			src_axi4_awid      : out std_logic_vector(6 downto 0);                      -- awid
			src_axi4_awaddr    : out std_logic_vector(43 downto 0);                     -- awaddr
			src_axi4_awlen     : out std_logic_vector(7 downto 0);                      -- awlen
			src_axi4_awsize    : out std_logic_vector(2 downto 0);                      -- awsize
			src_axi4_awburst   : out std_logic_vector(1 downto 0);                      -- awburst
			src_axi4_awqos     : out std_logic_vector(3 downto 0);                      -- awqos
			src_axi4_awlock    : out std_logic_vector(0 downto 0);                      -- awlock
			src_axi4_awuser    : out std_logic_vector(0 downto 0);                      -- awuser
			src_axi4_awprot    : out std_logic_vector(2 downto 0);                      -- awprot
			src_axi4_awcache   : out std_logic_vector(3 downto 0);                      -- awcache
			src_axi4_arready   : in  std_logic                      := 'X';             -- arready
			src_axi4_arvalid   : out std_logic;                                         -- arvalid
			src_axi4_arid      : out std_logic_vector(6 downto 0);                      -- arid
			src_axi4_araddr    : out std_logic_vector(43 downto 0);                     -- araddr
			src_axi4_arlen     : out std_logic_vector(7 downto 0);                      -- arlen
			src_axi4_arsize    : out std_logic_vector(2 downto 0);                      -- arsize
			src_axi4_arburst   : out std_logic_vector(1 downto 0);                      -- arburst
			src_axi4_arqos     : out std_logic_vector(3 downto 0);                      -- arqos
			src_axi4_arlock    : out std_logic_vector(0 downto 0);                      -- arlock
			src_axi4_aruser    : out std_logic_vector(0 downto 0);                      -- aruser
			src_axi4_arprot    : out std_logic_vector(2 downto 0);                      -- arprot
			src_axi4_arcache   : out std_logic_vector(3 downto 0);                      -- arcache
			src_axi4_wready    : in  std_logic                      := 'X';             -- wready
			src_axi4_wvalid    : out std_logic;                                         -- wvalid
			src_axi4_wdata     : out std_logic_vector(255 downto 0);                    -- wdata
			src_axi4_wuser     : out std_logic_vector(0 downto 0);                      -- wuser
			src_axi4_wstrb     : out std_logic_vector(31 downto 0);                     -- wstrb
			src_axi4_wlast     : out std_logic;                                         -- wlast
			src_axi4_bready    : out std_logic;                                         -- bready
			src_axi4_bvalid    : in  std_logic                      := 'X';             -- bvalid
			src_axi4_bid       : in  std_logic_vector(6 downto 0)   := (others => 'X'); -- bid
			src_axi4_bresp     : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- bresp
			src_axi4_buser     : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- buser
			src_axi4_rready    : out std_logic;                                         -- rready
			src_axi4_rvalid    : in  std_logic                      := 'X';             -- rvalid
			src_axi4_rid       : in  std_logic_vector(6 downto 0)   := (others => 'X'); -- rid
			src_axi4_rdata     : in  std_logic_vector(255 downto 0) := (others => 'X'); -- rdata
			src_axi4_rresp     : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- rresp
			src_axi4_ruser     : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- ruser
			src_axi4_rlast     : in  std_logic                      := 'X';             -- rlast
			sink_axi4_awready  : out std_logic;                                         -- awready
			sink_axi4_awvalid  : in  std_logic                      := 'X';             -- awvalid
			sink_axi4_awid     : in  std_logic_vector(6 downto 0)   := (others => 'X'); -- awid
			sink_axi4_awaddr   : in  std_logic_vector(43 downto 0)  := (others => 'X'); -- awaddr
			sink_axi4_awlen    : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- awlen
			sink_axi4_awsize   : in  std_logic_vector(2 downto 0)   := (others => 'X'); -- awsize
			sink_axi4_awburst  : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- awburst
			sink_axi4_awqos    : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- awqos
			sink_axi4_awlock   : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- awlock
			sink_axi4_awuser   : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- awuser
			sink_axi4_awprot   : in  std_logic_vector(2 downto 0)   := (others => 'X'); -- awprot
			sink_axi4_awcache  : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- awcache
			sink_axi4_arready  : out std_logic;                                         -- arready
			sink_axi4_arvalid  : in  std_logic                      := 'X';             -- arvalid
			sink_axi4_arid     : in  std_logic_vector(6 downto 0)   := (others => 'X'); -- arid
			sink_axi4_araddr   : in  std_logic_vector(43 downto 0)  := (others => 'X'); -- araddr
			sink_axi4_arlen    : in  std_logic_vector(7 downto 0)   := (others => 'X'); -- arlen
			sink_axi4_arsize   : in  std_logic_vector(2 downto 0)   := (others => 'X'); -- arsize
			sink_axi4_arburst  : in  std_logic_vector(1 downto 0)   := (others => 'X'); -- arburst
			sink_axi4_arqos    : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- arqos
			sink_axi4_arlock   : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- arlock
			sink_axi4_aruser   : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- aruser
			sink_axi4_arprot   : in  std_logic_vector(2 downto 0)   := (others => 'X'); -- arprot
			sink_axi4_arcache  : in  std_logic_vector(3 downto 0)   := (others => 'X'); -- arcache
			sink_axi4_wready   : out std_logic;                                         -- wready
			sink_axi4_wvalid   : in  std_logic                      := 'X';             -- wvalid
			sink_axi4_wdata    : in  std_logic_vector(255 downto 0) := (others => 'X'); -- wdata
			sink_axi4_wuser    : in  std_logic_vector(0 downto 0)   := (others => 'X'); -- wuser
			sink_axi4_wstrb    : in  std_logic_vector(31 downto 0)  := (others => 'X'); -- wstrb
			sink_axi4_wlast    : in  std_logic                      := 'X';             -- wlast
			sink_axi4_bready   : in  std_logic                      := 'X';             -- bready
			sink_axi4_bvalid   : out std_logic;                                         -- bvalid
			sink_axi4_bid      : out std_logic_vector(6 downto 0);                      -- bid
			sink_axi4_bresp    : out std_logic_vector(1 downto 0);                      -- bresp
			sink_axi4_buser    : out std_logic_vector(0 downto 0);                      -- buser
			sink_axi4_rready   : in  std_logic                      := 'X';             -- rready
			sink_axi4_rvalid   : out std_logic;                                         -- rvalid
			sink_axi4_rid      : out std_logic_vector(6 downto 0);                      -- rid
			sink_axi4_rdata    : out std_logic_vector(255 downto 0);                    -- rdata
			sink_axi4_rresp    : out std_logic_vector(1 downto 0);                      -- rresp
			sink_axi4_ruser    : out std_logic_vector(0 downto 0);                      -- ruser
			sink_axi4_rlast    : out std_logic                                          -- rlast
		);
	end component ed_synth_perf_monch0;

	u0 : component ed_synth_perf_monch0
		port map (
			clk                => CONNECTED_TO_clk,                --          clk.clk
			reset_n            => CONNECTED_TO_reset_n,            --      reset_n.reset_n
			csr_clk            => CONNECTED_TO_csr_clk,            --      csr_clk.clk
			csr_reset_n        => CONNECTED_TO_csr_reset_n,        --  csr_reset_n.reset_n
			master_reset_reset => CONNECTED_TO_master_reset_reset, -- master_reset.reset
			src_axi4_awready   => CONNECTED_TO_src_axi4_awready,   --     src_axi4.awready
			src_axi4_awvalid   => CONNECTED_TO_src_axi4_awvalid,   --             .awvalid
			src_axi4_awid      => CONNECTED_TO_src_axi4_awid,      --             .awid
			src_axi4_awaddr    => CONNECTED_TO_src_axi4_awaddr,    --             .awaddr
			src_axi4_awlen     => CONNECTED_TO_src_axi4_awlen,     --             .awlen
			src_axi4_awsize    => CONNECTED_TO_src_axi4_awsize,    --             .awsize
			src_axi4_awburst   => CONNECTED_TO_src_axi4_awburst,   --             .awburst
			src_axi4_awqos     => CONNECTED_TO_src_axi4_awqos,     --             .awqos
			src_axi4_awlock    => CONNECTED_TO_src_axi4_awlock,    --             .awlock
			src_axi4_awuser    => CONNECTED_TO_src_axi4_awuser,    --             .awuser
			src_axi4_awprot    => CONNECTED_TO_src_axi4_awprot,    --             .awprot
			src_axi4_awcache   => CONNECTED_TO_src_axi4_awcache,   --             .awcache
			src_axi4_arready   => CONNECTED_TO_src_axi4_arready,   --             .arready
			src_axi4_arvalid   => CONNECTED_TO_src_axi4_arvalid,   --             .arvalid
			src_axi4_arid      => CONNECTED_TO_src_axi4_arid,      --             .arid
			src_axi4_araddr    => CONNECTED_TO_src_axi4_araddr,    --             .araddr
			src_axi4_arlen     => CONNECTED_TO_src_axi4_arlen,     --             .arlen
			src_axi4_arsize    => CONNECTED_TO_src_axi4_arsize,    --             .arsize
			src_axi4_arburst   => CONNECTED_TO_src_axi4_arburst,   --             .arburst
			src_axi4_arqos     => CONNECTED_TO_src_axi4_arqos,     --             .arqos
			src_axi4_arlock    => CONNECTED_TO_src_axi4_arlock,    --             .arlock
			src_axi4_aruser    => CONNECTED_TO_src_axi4_aruser,    --             .aruser
			src_axi4_arprot    => CONNECTED_TO_src_axi4_arprot,    --             .arprot
			src_axi4_arcache   => CONNECTED_TO_src_axi4_arcache,   --             .arcache
			src_axi4_wready    => CONNECTED_TO_src_axi4_wready,    --             .wready
			src_axi4_wvalid    => CONNECTED_TO_src_axi4_wvalid,    --             .wvalid
			src_axi4_wdata     => CONNECTED_TO_src_axi4_wdata,     --             .wdata
			src_axi4_wuser     => CONNECTED_TO_src_axi4_wuser,     --             .wuser
			src_axi4_wstrb     => CONNECTED_TO_src_axi4_wstrb,     --             .wstrb
			src_axi4_wlast     => CONNECTED_TO_src_axi4_wlast,     --             .wlast
			src_axi4_bready    => CONNECTED_TO_src_axi4_bready,    --             .bready
			src_axi4_bvalid    => CONNECTED_TO_src_axi4_bvalid,    --             .bvalid
			src_axi4_bid       => CONNECTED_TO_src_axi4_bid,       --             .bid
			src_axi4_bresp     => CONNECTED_TO_src_axi4_bresp,     --             .bresp
			src_axi4_buser     => CONNECTED_TO_src_axi4_buser,     --             .buser
			src_axi4_rready    => CONNECTED_TO_src_axi4_rready,    --             .rready
			src_axi4_rvalid    => CONNECTED_TO_src_axi4_rvalid,    --             .rvalid
			src_axi4_rid       => CONNECTED_TO_src_axi4_rid,       --             .rid
			src_axi4_rdata     => CONNECTED_TO_src_axi4_rdata,     --             .rdata
			src_axi4_rresp     => CONNECTED_TO_src_axi4_rresp,     --             .rresp
			src_axi4_ruser     => CONNECTED_TO_src_axi4_ruser,     --             .ruser
			src_axi4_rlast     => CONNECTED_TO_src_axi4_rlast,     --             .rlast
			sink_axi4_awready  => CONNECTED_TO_sink_axi4_awready,  --    sink_axi4.awready
			sink_axi4_awvalid  => CONNECTED_TO_sink_axi4_awvalid,  --             .awvalid
			sink_axi4_awid     => CONNECTED_TO_sink_axi4_awid,     --             .awid
			sink_axi4_awaddr   => CONNECTED_TO_sink_axi4_awaddr,   --             .awaddr
			sink_axi4_awlen    => CONNECTED_TO_sink_axi4_awlen,    --             .awlen
			sink_axi4_awsize   => CONNECTED_TO_sink_axi4_awsize,   --             .awsize
			sink_axi4_awburst  => CONNECTED_TO_sink_axi4_awburst,  --             .awburst
			sink_axi4_awqos    => CONNECTED_TO_sink_axi4_awqos,    --             .awqos
			sink_axi4_awlock   => CONNECTED_TO_sink_axi4_awlock,   --             .awlock
			sink_axi4_awuser   => CONNECTED_TO_sink_axi4_awuser,   --             .awuser
			sink_axi4_awprot   => CONNECTED_TO_sink_axi4_awprot,   --             .awprot
			sink_axi4_awcache  => CONNECTED_TO_sink_axi4_awcache,  --             .awcache
			sink_axi4_arready  => CONNECTED_TO_sink_axi4_arready,  --             .arready
			sink_axi4_arvalid  => CONNECTED_TO_sink_axi4_arvalid,  --             .arvalid
			sink_axi4_arid     => CONNECTED_TO_sink_axi4_arid,     --             .arid
			sink_axi4_araddr   => CONNECTED_TO_sink_axi4_araddr,   --             .araddr
			sink_axi4_arlen    => CONNECTED_TO_sink_axi4_arlen,    --             .arlen
			sink_axi4_arsize   => CONNECTED_TO_sink_axi4_arsize,   --             .arsize
			sink_axi4_arburst  => CONNECTED_TO_sink_axi4_arburst,  --             .arburst
			sink_axi4_arqos    => CONNECTED_TO_sink_axi4_arqos,    --             .arqos
			sink_axi4_arlock   => CONNECTED_TO_sink_axi4_arlock,   --             .arlock
			sink_axi4_aruser   => CONNECTED_TO_sink_axi4_aruser,   --             .aruser
			sink_axi4_arprot   => CONNECTED_TO_sink_axi4_arprot,   --             .arprot
			sink_axi4_arcache  => CONNECTED_TO_sink_axi4_arcache,  --             .arcache
			sink_axi4_wready   => CONNECTED_TO_sink_axi4_wready,   --             .wready
			sink_axi4_wvalid   => CONNECTED_TO_sink_axi4_wvalid,   --             .wvalid
			sink_axi4_wdata    => CONNECTED_TO_sink_axi4_wdata,    --             .wdata
			sink_axi4_wuser    => CONNECTED_TO_sink_axi4_wuser,    --             .wuser
			sink_axi4_wstrb    => CONNECTED_TO_sink_axi4_wstrb,    --             .wstrb
			sink_axi4_wlast    => CONNECTED_TO_sink_axi4_wlast,    --             .wlast
			sink_axi4_bready   => CONNECTED_TO_sink_axi4_bready,   --             .bready
			sink_axi4_bvalid   => CONNECTED_TO_sink_axi4_bvalid,   --             .bvalid
			sink_axi4_bid      => CONNECTED_TO_sink_axi4_bid,      --             .bid
			sink_axi4_bresp    => CONNECTED_TO_sink_axi4_bresp,    --             .bresp
			sink_axi4_buser    => CONNECTED_TO_sink_axi4_buser,    --             .buser
			sink_axi4_rready   => CONNECTED_TO_sink_axi4_rready,   --             .rready
			sink_axi4_rvalid   => CONNECTED_TO_sink_axi4_rvalid,   --             .rvalid
			sink_axi4_rid      => CONNECTED_TO_sink_axi4_rid,      --             .rid
			sink_axi4_rdata    => CONNECTED_TO_sink_axi4_rdata,    --             .rdata
			sink_axi4_rresp    => CONNECTED_TO_sink_axi4_rresp,    --             .rresp
			sink_axi4_ruser    => CONNECTED_TO_sink_axi4_ruser,    --             .ruser
			sink_axi4_rlast    => CONNECTED_TO_sink_axi4_rlast     --             .rlast
		);

