	component ed_synth_emif_ph2_0 is
		port (
			ref_clk_0     : in    std_logic                     := 'X';             -- clk
			mem_ck_t_0    : out   std_logic;                                        -- mem_ck_t
			mem_ck_c_0    : out   std_logic;                                        -- mem_ck_c
			mem_reset_n_0 : out   std_logic;                                        -- mem_reset_n
			mem_cs_0      : out   std_logic;                                        -- mem_cs
			mem_ca_0      : out   std_logic_vector(6 downto 0);                     -- mem_ca
			mem_dq_0      : inout std_logic_vector(15 downto 0) := (others => 'X'); -- mem_dq
			mem_wck_t_0   : out   std_logic_vector(1 downto 0);                     -- mem_wck_t
			mem_wck_c_0   : out   std_logic_vector(1 downto 0);                     -- mem_wck_c
			mem_rdqs_t_0  : inout std_logic_vector(1 downto 0)  := (others => 'X'); -- mem_rdqs_t
			mem_rdqs_c_0  : inout std_logic_vector(1 downto 0)  := (others => 'X'); -- mem_rdqs_c
			mem_dmi_0     : inout std_logic_vector(1 downto 0)  := (others => 'X'); -- mem_dmi
			mem_ck_t_1    : out   std_logic;                                        -- mem_ck_t
			mem_ck_c_1    : out   std_logic;                                        -- mem_ck_c
			mem_cs_1      : out   std_logic;                                        -- mem_cs
			mem_ca_1      : out   std_logic_vector(6 downto 0);                     -- mem_ca
			mem_dq_1      : inout std_logic_vector(15 downto 0) := (others => 'X'); -- mem_dq
			mem_wck_t_1   : out   std_logic_vector(1 downto 0);                     -- mem_wck_t
			mem_wck_c_1   : out   std_logic_vector(1 downto 0);                     -- mem_wck_c
			mem_rdqs_t_1  : inout std_logic_vector(1 downto 0)  := (others => 'X'); -- mem_rdqs_t
			mem_rdqs_c_1  : inout std_logic_vector(1 downto 0)  := (others => 'X'); -- mem_rdqs_c
			mem_dmi_1     : inout std_logic_vector(1 downto 0)  := (others => 'X'); -- mem_dmi
			oct_rzqin_0   : in    std_logic                     := 'X';             -- oct_rzqin
			oct_rzqin_1   : in    std_logic                     := 'X'              -- oct_rzqin
		);
	end component ed_synth_emif_ph2_0;

	u0 : component ed_synth_emif_ph2_0
		port map (
			ref_clk_0     => CONNECTED_TO_ref_clk_0,     -- ref_clk_0.clk
			mem_ck_t_0    => CONNECTED_TO_mem_ck_t_0,    --     mem_0.mem_ck_t
			mem_ck_c_0    => CONNECTED_TO_mem_ck_c_0,    --          .mem_ck_c
			mem_reset_n_0 => CONNECTED_TO_mem_reset_n_0, --          .mem_reset_n
			mem_cs_0      => CONNECTED_TO_mem_cs_0,      --          .mem_cs
			mem_ca_0      => CONNECTED_TO_mem_ca_0,      --          .mem_ca
			mem_dq_0      => CONNECTED_TO_mem_dq_0,      --          .mem_dq
			mem_wck_t_0   => CONNECTED_TO_mem_wck_t_0,   --          .mem_wck_t
			mem_wck_c_0   => CONNECTED_TO_mem_wck_c_0,   --          .mem_wck_c
			mem_rdqs_t_0  => CONNECTED_TO_mem_rdqs_t_0,  --          .mem_rdqs_t
			mem_rdqs_c_0  => CONNECTED_TO_mem_rdqs_c_0,  --          .mem_rdqs_c
			mem_dmi_0     => CONNECTED_TO_mem_dmi_0,     --          .mem_dmi
			mem_ck_t_1    => CONNECTED_TO_mem_ck_t_1,    --     mem_1.mem_ck_t
			mem_ck_c_1    => CONNECTED_TO_mem_ck_c_1,    --          .mem_ck_c
			mem_cs_1      => CONNECTED_TO_mem_cs_1,      --          .mem_cs
			mem_ca_1      => CONNECTED_TO_mem_ca_1,      --          .mem_ca
			mem_dq_1      => CONNECTED_TO_mem_dq_1,      --          .mem_dq
			mem_wck_t_1   => CONNECTED_TO_mem_wck_t_1,   --          .mem_wck_t
			mem_wck_c_1   => CONNECTED_TO_mem_wck_c_1,   --          .mem_wck_c
			mem_rdqs_t_1  => CONNECTED_TO_mem_rdqs_t_1,  --          .mem_rdqs_t
			mem_rdqs_c_1  => CONNECTED_TO_mem_rdqs_c_1,  --          .mem_rdqs_c
			mem_dmi_1     => CONNECTED_TO_mem_dmi_1,     --          .mem_dmi
			oct_rzqin_0   => CONNECTED_TO_oct_rzqin_0,   --     oct_0.oct_rzqin
			oct_rzqin_1   => CONNECTED_TO_oct_rzqin_1    --     oct_1.oct_rzqin
		);

