module ed_synth_reset_handler_mem_reset_handler_100_zziegwi #(
   parameter SYNC_TO_CLK                                        = 0,
   parameter USE_AND_GATE                                       = 0,
   parameter NUM_RESETS                                         = 0,
   parameter NUM_CONDUITS                                       = 0,
   parameter CONDUIT_INVERT_0                                   = 0,
   parameter CONDUIT_INVERT_1                                   = 0,
   parameter CONDUIT_INVERT_2                                   = 0,
   parameter CONDUIT_INVERT_3                                   = 0,
   parameter CONDUIT_INVERT_4                                   = 0,
   parameter CONDUIT_INVERT_5                                   = 0,
   parameter CONDUIT_INVERT_6                                   = 0,
   parameter CONDUIT_INVERT_7                                   = 0,
   parameter CONDUIT_INVERT_8                                   = 0,
   parameter CONDUIT_INVERT_9                                   = 0,
   parameter CONDUIT_INVERT_10                                  = 0,
   parameter CONDUIT_INVERT_11                                  = 0,
   parameter CONDUIT_INVERT_12                                  = 0,
   parameter CONDUIT_INVERT_13                                  = 0,
   parameter CONDUIT_INVERT_14                                  = 0,
   parameter CONDUIT_INVERT_15                                  = 0
) (
   input  logic            reset_n_0,
   input  logic            reset_n_1,
   input  logic            reset_n_2,
   input  logic            reset_n_3,
   input  logic            reset_n_4,
   input  logic            reset_n_5,
   input  logic            reset_n_6,
   input  logic            reset_n_7,
   input  logic            reset_n_8,
   input  logic            reset_n_9,
   input  logic            reset_n_10,
   input  logic            reset_n_11,
   input  logic            reset_n_12,
   input  logic            reset_n_13,
   input  logic            reset_n_14,
   input  logic            reset_n_15,
   input  logic            conduit_0,
   input  logic            conduit_1,
   input  logic            conduit_2,
   input  logic            conduit_3,
   input  logic            conduit_4,
   input  logic            conduit_5,
   input  logic            conduit_6,
   input  logic            conduit_7,
   input  logic            conduit_8,
   input  logic            conduit_9,
   input  logic            conduit_10,
   input  logic            conduit_11,
   input  logic            conduit_12,
   input  logic            conduit_13,
   input  logic            conduit_14,
   input  logic            conduit_15,
   input  logic            clk,
   output logic            reset_out_n
);
   timeunit 1ns;
   timeprecision 1ps;

   mem_reset_handler # (
      .SYNC_TO_CLK (SYNC_TO_CLK),
      .USE_AND_GATE (USE_AND_GATE),
      .NUM_RESETS (NUM_RESETS),
      .NUM_CONDUITS (NUM_CONDUITS),
      .CONDUIT_INVERT_0 (CONDUIT_INVERT_0),
      .CONDUIT_INVERT_1 (CONDUIT_INVERT_1),
      .CONDUIT_INVERT_2 (CONDUIT_INVERT_2),
      .CONDUIT_INVERT_3 (CONDUIT_INVERT_3),
      .CONDUIT_INVERT_4 (CONDUIT_INVERT_4),
      .CONDUIT_INVERT_5 (CONDUIT_INVERT_5),
      .CONDUIT_INVERT_6 (CONDUIT_INVERT_6),
      .CONDUIT_INVERT_7 (CONDUIT_INVERT_7),
      .CONDUIT_INVERT_8 (CONDUIT_INVERT_8),
      .CONDUIT_INVERT_9 (CONDUIT_INVERT_9),
      .CONDUIT_INVERT_10 (CONDUIT_INVERT_10),
      .CONDUIT_INVERT_11 (CONDUIT_INVERT_11),
      .CONDUIT_INVERT_12 (CONDUIT_INVERT_12),
      .CONDUIT_INVERT_13 (CONDUIT_INVERT_13),
      .CONDUIT_INVERT_14 (CONDUIT_INVERT_14),
      .CONDUIT_INVERT_15 (CONDUIT_INVERT_15)
   ) mem_reset_handler_inst (
      .reset_n_0 (reset_n_0),
      .reset_n_1 (reset_n_1),
      .reset_n_2 (reset_n_2),
      .reset_n_3 (reset_n_3),
      .reset_n_4 (reset_n_4),
      .reset_n_5 (reset_n_5),
      .reset_n_6 (reset_n_6),
      .reset_n_7 (reset_n_7),
      .reset_n_8 (reset_n_8),
      .reset_n_9 (reset_n_9),
      .reset_n_10 (reset_n_10),
      .reset_n_11 (reset_n_11),
      .reset_n_12 (reset_n_12),
      .reset_n_13 (reset_n_13),
      .reset_n_14 (reset_n_14),
      .reset_n_15 (reset_n_15),
      .conduit_0 (conduit_0),
      .conduit_1 (conduit_1),
      .conduit_2 (conduit_2),
      .conduit_3 (conduit_3),
      .conduit_4 (conduit_4),
      .conduit_5 (conduit_5),
      .conduit_6 (conduit_6),
      .conduit_7 (conduit_7),
      .conduit_8 (conduit_8),
      .conduit_9 (conduit_9),
      .conduit_10 (conduit_10),
      .conduit_11 (conduit_11),
      .conduit_12 (conduit_12),
      .conduit_13 (conduit_13),
      .conduit_14 (conduit_14),
      .conduit_15 (conduit_15),
      .clk (clk),
      .reset_out_n (reset_out_n)
   );
endmodule
