// ed_synth.v

// Generated using ACDS version 24.1 107

`timescale 1 ps / 1 ps
module ed_synth (
		input  wire        ref_clk_0_clk,                //        ref_clk_0.clk
		output wire        emif_ph2_0_mem_0_mem_ck_t,    // emif_ph2_0_mem_0.mem_ck_t
		output wire        emif_ph2_0_mem_0_mem_ck_c,    //                 .mem_ck_c
		output wire        emif_ph2_0_mem_0_mem_reset_n, //                 .mem_reset_n
		output wire        emif_ph2_0_mem_0_mem_cs_n,    //                 .mem_cs_n
		output wire [12:0] emif_ph2_0_mem_0_mem_ca,      //                 .mem_ca
		inout  wire [31:0] emif_ph2_0_mem_0_mem_dq,      //                 .mem_dq
		inout  wire [3:0]  emif_ph2_0_mem_0_mem_dqs_t,   //                 .mem_dqs_t
		inout  wire [3:0]  emif_ph2_0_mem_0_mem_dqs_c,   //                 .mem_dqs_c
		output wire [3:0]  emif_ph2_0_mem_0_mem_dm_n,    //                 .mem_dm_n
		input  wire        emif_ph2_0_mem_0_mem_alert_n, //                 .mem_alert_n
		input  wire        emif_ph2_0_oct_0_oct_rzqin,   // emif_ph2_0_oct_0.oct_rzqin
		input  wire        noc_ctrl_refclk_clk,          //  noc_ctrl_refclk.clk
		output wire        ninit_done_reset,             //       ninit_done.reset
		input  wire        ref_clk_usr_pll_clk           //  ref_clk_usr_pll.clk
	);

	wire   [43:0] axil_driver_0_axil_driver_axi4_lite_awaddr;      // axil_driver_0:axil_driver_awaddr -> noc_init_lite_0:s0_axi4lite_awaddr
	wire    [1:0] axil_driver_0_axil_driver_axi4_lite_bresp;       // noc_init_lite_0:s0_axi4lite_bresp -> axil_driver_0:axil_driver_bresp
	wire          axil_driver_0_axil_driver_axi4_lite_arready;     // noc_init_lite_0:s0_axi4lite_arready -> axil_driver_0:axil_driver_arready
	wire   [31:0] axil_driver_0_axil_driver_axi4_lite_rdata;       // noc_init_lite_0:s0_axi4lite_rdata -> axil_driver_0:axil_driver_rdata
	wire    [3:0] axil_driver_0_axil_driver_axi4_lite_wstrb;       // axil_driver_0:axil_driver_wstrb -> noc_init_lite_0:s0_axi4lite_wstrb
	wire          axil_driver_0_axil_driver_axi4_lite_wready;      // noc_init_lite_0:s0_axi4lite_wready -> axil_driver_0:axil_driver_wready
	wire          axil_driver_0_axil_driver_axi4_lite_awready;     // noc_init_lite_0:s0_axi4lite_awready -> axil_driver_0:axil_driver_awready
	wire          axil_driver_0_axil_driver_axi4_lite_rready;      // axil_driver_0:axil_driver_rready -> noc_init_lite_0:s0_axi4lite_rready
	wire          axil_driver_0_axil_driver_axi4_lite_bready;      // axil_driver_0:axil_driver_bready -> noc_init_lite_0:s0_axi4lite_bready
	wire          axil_driver_0_axil_driver_axi4_lite_wvalid;      // axil_driver_0:axil_driver_wvalid -> noc_init_lite_0:s0_axi4lite_wvalid
	wire   [43:0] axil_driver_0_axil_driver_axi4_lite_araddr;      // axil_driver_0:axil_driver_araddr -> noc_init_lite_0:s0_axi4lite_araddr
	wire    [1:0] axil_driver_0_axil_driver_axi4_lite_rresp;       // noc_init_lite_0:s0_axi4lite_rresp -> axil_driver_0:axil_driver_rresp
	wire    [2:0] axil_driver_0_axil_driver_axi4_lite_arprot;      // axil_driver_0:axil_driver_arprot -> noc_init_lite_0:s0_axi4lite_arprot
	wire   [31:0] axil_driver_0_axil_driver_axi4_lite_wdata;       // axil_driver_0:axil_driver_wdata -> noc_init_lite_0:s0_axi4lite_wdata
	wire          axil_driver_0_axil_driver_axi4_lite_arvalid;     // axil_driver_0:axil_driver_arvalid -> noc_init_lite_0:s0_axi4lite_arvalid
	wire    [2:0] axil_driver_0_axil_driver_axi4_lite_awprot;      // axil_driver_0:axil_driver_awprot -> noc_init_lite_0:s0_axi4lite_awprot
	wire          axil_driver_0_axil_driver_axi4_lite_bvalid;      // noc_init_lite_0:s0_axi4lite_bvalid -> axil_driver_0:axil_driver_bvalid
	wire          axil_driver_0_axil_driver_axi4_lite_awvalid;     // axil_driver_0:axil_driver_awvalid -> noc_init_lite_0:s0_axi4lite_awvalid
	wire          axil_driver_0_axil_driver_axi4_lite_rvalid;      // noc_init_lite_0:s0_axi4lite_rvalid -> axil_driver_0:axil_driver_rvalid
	wire          user_pll_outclk0_clk;                            // user_pll:outclk_0 -> [mm_interconnect_1:user_pll_outclk0_clk, mm_interconnect_4:user_pll_outclk0_clk, noc_init:s_axi4_aclk, perf_monch0:clk, reset_handler:clk, rst_controller_001:clk, rst_controller_002:clk, rst_controller_003:clk, traffic_generator:driver0_clk]
	wire          user_pll_outclk1_clk;                            // user_pll:outclk_1 -> [axil_driver_0:axil_driver_clk, noc_init_lite_0:s_axi4lite_aclk, perf_monch0:csr_clk, rst_controller:clk, traffic_generator:remote_intf_clk]
	wire          user_pll_locked_export;                          // user_pll:locked -> reset_handler:conduit_0
	wire          axil_driver_0_cal_done_rst_n_reset;              // axil_driver_0:cal_done_rst_n -> [perf_monch0:reset_n, rst_controller_002:reset_in0, traffic_generator:driver0_reset_n]
	wire          rrip_ninit_done_reset;                           // rrip:ninit_done -> [reset_bridge_0:in_reset, reset_handler:reset_n_0, user_pll:rst]
	wire          reset_handler_reset_n_out_reset;                 // reset_handler:reset_out_n -> [perf_monch0:csr_reset_n, rst_controller:reset_in0, rst_controller_001:reset_in0, rst_controller_003:reset_in0, traffic_generator:remote_intf_reset_n]
	wire    [1:0] traffic_generator_driver0_axi4_awburst;          // traffic_generator:driver0_axi4_awburst -> mm_interconnect_1:traffic_generator_driver0_axi4_awburst
	wire    [0:0] traffic_generator_driver0_axi4_awuser;           // traffic_generator:driver0_axi4_awuser -> mm_interconnect_1:traffic_generator_driver0_axi4_awuser
	wire    [7:0] traffic_generator_driver0_axi4_arlen;            // traffic_generator:driver0_axi4_arlen -> mm_interconnect_1:traffic_generator_driver0_axi4_arlen
	wire          traffic_generator_driver0_axi4_wready;           // mm_interconnect_1:traffic_generator_driver0_axi4_wready -> traffic_generator:driver0_axi4_wready
	wire   [31:0] traffic_generator_driver0_axi4_wstrb;            // traffic_generator:driver0_axi4_wstrb -> mm_interconnect_1:traffic_generator_driver0_axi4_wstrb
	wire    [6:0] traffic_generator_driver0_axi4_rid;              // mm_interconnect_1:traffic_generator_driver0_axi4_rid -> traffic_generator:driver0_axi4_rid
	wire          traffic_generator_driver0_axi4_rready;           // traffic_generator:driver0_axi4_rready -> mm_interconnect_1:traffic_generator_driver0_axi4_rready
	wire    [7:0] traffic_generator_driver0_axi4_awlen;            // traffic_generator:driver0_axi4_awlen -> mm_interconnect_1:traffic_generator_driver0_axi4_awlen
	wire    [3:0] traffic_generator_driver0_axi4_arcache;          // traffic_generator:driver0_axi4_arcache -> mm_interconnect_1:traffic_generator_driver0_axi4_arcache
	wire   [43:0] traffic_generator_driver0_axi4_araddr;           // traffic_generator:driver0_axi4_araddr -> mm_interconnect_1:traffic_generator_driver0_axi4_araddr
	wire          traffic_generator_driver0_axi4_wvalid;           // traffic_generator:driver0_axi4_wvalid -> mm_interconnect_1:traffic_generator_driver0_axi4_wvalid
	wire    [2:0] traffic_generator_driver0_axi4_arprot;           // traffic_generator:driver0_axi4_arprot -> mm_interconnect_1:traffic_generator_driver0_axi4_arprot
	wire    [2:0] traffic_generator_driver0_axi4_awprot;           // traffic_generator:driver0_axi4_awprot -> mm_interconnect_1:traffic_generator_driver0_axi4_awprot
	wire          traffic_generator_driver0_axi4_arvalid;          // traffic_generator:driver0_axi4_arvalid -> mm_interconnect_1:traffic_generator_driver0_axi4_arvalid
	wire  [255:0] traffic_generator_driver0_axi4_wdata;            // traffic_generator:driver0_axi4_wdata -> mm_interconnect_1:traffic_generator_driver0_axi4_wdata
	wire    [3:0] traffic_generator_driver0_axi4_awcache;          // traffic_generator:driver0_axi4_awcache -> mm_interconnect_1:traffic_generator_driver0_axi4_awcache
	wire    [6:0] traffic_generator_driver0_axi4_arid;             // traffic_generator:driver0_axi4_arid -> mm_interconnect_1:traffic_generator_driver0_axi4_arid
	wire    [0:0] traffic_generator_driver0_axi4_arlock;           // traffic_generator:driver0_axi4_arlock -> mm_interconnect_1:traffic_generator_driver0_axi4_arlock
	wire    [0:0] traffic_generator_driver0_axi4_awlock;           // traffic_generator:driver0_axi4_awlock -> mm_interconnect_1:traffic_generator_driver0_axi4_awlock
	wire   [43:0] traffic_generator_driver0_axi4_awaddr;           // traffic_generator:driver0_axi4_awaddr -> mm_interconnect_1:traffic_generator_driver0_axi4_awaddr
	wire          traffic_generator_driver0_axi4_arready;          // mm_interconnect_1:traffic_generator_driver0_axi4_arready -> traffic_generator:driver0_axi4_arready
	wire    [1:0] traffic_generator_driver0_axi4_bresp;            // mm_interconnect_1:traffic_generator_driver0_axi4_bresp -> traffic_generator:driver0_axi4_bresp
	wire  [255:0] traffic_generator_driver0_axi4_rdata;            // mm_interconnect_1:traffic_generator_driver0_axi4_rdata -> traffic_generator:driver0_axi4_rdata
	wire          traffic_generator_driver0_axi4_awready;          // mm_interconnect_1:traffic_generator_driver0_axi4_awready -> traffic_generator:driver0_axi4_awready
	wire    [1:0] traffic_generator_driver0_axi4_arburst;          // traffic_generator:driver0_axi4_arburst -> mm_interconnect_1:traffic_generator_driver0_axi4_arburst
	wire    [2:0] traffic_generator_driver0_axi4_arsize;           // traffic_generator:driver0_axi4_arsize -> mm_interconnect_1:traffic_generator_driver0_axi4_arsize
	wire          traffic_generator_driver0_axi4_bready;           // traffic_generator:driver0_axi4_bready -> mm_interconnect_1:traffic_generator_driver0_axi4_bready
	wire          traffic_generator_driver0_axi4_rlast;            // mm_interconnect_1:traffic_generator_driver0_axi4_rlast -> traffic_generator:driver0_axi4_rlast
	wire          traffic_generator_driver0_axi4_wlast;            // traffic_generator:driver0_axi4_wlast -> mm_interconnect_1:traffic_generator_driver0_axi4_wlast
	wire    [0:0] traffic_generator_driver0_axi4_buser;            // mm_interconnect_1:traffic_generator_driver0_axi4_buser -> traffic_generator:driver0_axi4_buser
	wire    [1:0] traffic_generator_driver0_axi4_rresp;            // mm_interconnect_1:traffic_generator_driver0_axi4_rresp -> traffic_generator:driver0_axi4_rresp
	wire    [6:0] traffic_generator_driver0_axi4_awid;             // traffic_generator:driver0_axi4_awid -> mm_interconnect_1:traffic_generator_driver0_axi4_awid
	wire    [6:0] traffic_generator_driver0_axi4_bid;              // mm_interconnect_1:traffic_generator_driver0_axi4_bid -> traffic_generator:driver0_axi4_bid
	wire          traffic_generator_driver0_axi4_bvalid;           // mm_interconnect_1:traffic_generator_driver0_axi4_bvalid -> traffic_generator:driver0_axi4_bvalid
	wire          traffic_generator_driver0_axi4_awvalid;          // traffic_generator:driver0_axi4_awvalid -> mm_interconnect_1:traffic_generator_driver0_axi4_awvalid
	wire    [2:0] traffic_generator_driver0_axi4_awsize;           // traffic_generator:driver0_axi4_awsize -> mm_interconnect_1:traffic_generator_driver0_axi4_awsize
	wire    [0:0] traffic_generator_driver0_axi4_aruser;           // traffic_generator:driver0_axi4_aruser -> mm_interconnect_1:traffic_generator_driver0_axi4_aruser
	wire          traffic_generator_driver0_axi4_rvalid;           // mm_interconnect_1:traffic_generator_driver0_axi4_rvalid -> traffic_generator:driver0_axi4_rvalid
	wire    [0:0] mm_interconnect_1_perf_monch0_sink_axi4_ruser;   // perf_monch0:sink_axi4_ruser -> mm_interconnect_1:perf_monch0_sink_axi4_ruser
	wire    [0:0] mm_interconnect_1_perf_monch0_sink_axi4_wuser;   // mm_interconnect_1:perf_monch0_sink_axi4_wuser -> perf_monch0:sink_axi4_wuser
	wire    [1:0] mm_interconnect_1_perf_monch0_sink_axi4_awburst; // mm_interconnect_1:perf_monch0_sink_axi4_awburst -> perf_monch0:sink_axi4_awburst
	wire    [0:0] mm_interconnect_1_perf_monch0_sink_axi4_awuser;  // mm_interconnect_1:perf_monch0_sink_axi4_awuser -> perf_monch0:sink_axi4_awuser
	wire    [7:0] mm_interconnect_1_perf_monch0_sink_axi4_arlen;   // mm_interconnect_1:perf_monch0_sink_axi4_arlen -> perf_monch0:sink_axi4_arlen
	wire    [3:0] mm_interconnect_1_perf_monch0_sink_axi4_arqos;   // mm_interconnect_1:perf_monch0_sink_axi4_arqos -> perf_monch0:sink_axi4_arqos
	wire   [31:0] mm_interconnect_1_perf_monch0_sink_axi4_wstrb;   // mm_interconnect_1:perf_monch0_sink_axi4_wstrb -> perf_monch0:sink_axi4_wstrb
	wire          mm_interconnect_1_perf_monch0_sink_axi4_wready;  // perf_monch0:sink_axi4_wready -> mm_interconnect_1:perf_monch0_sink_axi4_wready
	wire    [6:0] mm_interconnect_1_perf_monch0_sink_axi4_rid;     // perf_monch0:sink_axi4_rid -> mm_interconnect_1:perf_monch0_sink_axi4_rid
	wire          mm_interconnect_1_perf_monch0_sink_axi4_rready;  // mm_interconnect_1:perf_monch0_sink_axi4_rready -> perf_monch0:sink_axi4_rready
	wire    [7:0] mm_interconnect_1_perf_monch0_sink_axi4_awlen;   // mm_interconnect_1:perf_monch0_sink_axi4_awlen -> perf_monch0:sink_axi4_awlen
	wire    [3:0] mm_interconnect_1_perf_monch0_sink_axi4_awqos;   // mm_interconnect_1:perf_monch0_sink_axi4_awqos -> perf_monch0:sink_axi4_awqos
	wire    [3:0] mm_interconnect_1_perf_monch0_sink_axi4_arcache; // mm_interconnect_1:perf_monch0_sink_axi4_arcache -> perf_monch0:sink_axi4_arcache
	wire          mm_interconnect_1_perf_monch0_sink_axi4_wvalid;  // mm_interconnect_1:perf_monch0_sink_axi4_wvalid -> perf_monch0:sink_axi4_wvalid
	wire   [43:0] mm_interconnect_1_perf_monch0_sink_axi4_araddr;  // mm_interconnect_1:perf_monch0_sink_axi4_araddr -> perf_monch0:sink_axi4_araddr
	wire    [2:0] mm_interconnect_1_perf_monch0_sink_axi4_arprot;  // mm_interconnect_1:perf_monch0_sink_axi4_arprot -> perf_monch0:sink_axi4_arprot
	wire    [2:0] mm_interconnect_1_perf_monch0_sink_axi4_awprot;  // mm_interconnect_1:perf_monch0_sink_axi4_awprot -> perf_monch0:sink_axi4_awprot
	wire  [255:0] mm_interconnect_1_perf_monch0_sink_axi4_wdata;   // mm_interconnect_1:perf_monch0_sink_axi4_wdata -> perf_monch0:sink_axi4_wdata
	wire          mm_interconnect_1_perf_monch0_sink_axi4_arvalid; // mm_interconnect_1:perf_monch0_sink_axi4_arvalid -> perf_monch0:sink_axi4_arvalid
	wire    [3:0] mm_interconnect_1_perf_monch0_sink_axi4_awcache; // mm_interconnect_1:perf_monch0_sink_axi4_awcache -> perf_monch0:sink_axi4_awcache
	wire    [6:0] mm_interconnect_1_perf_monch0_sink_axi4_arid;    // mm_interconnect_1:perf_monch0_sink_axi4_arid -> perf_monch0:sink_axi4_arid
	wire    [0:0] mm_interconnect_1_perf_monch0_sink_axi4_arlock;  // mm_interconnect_1:perf_monch0_sink_axi4_arlock -> perf_monch0:sink_axi4_arlock
	wire    [0:0] mm_interconnect_1_perf_monch0_sink_axi4_awlock;  // mm_interconnect_1:perf_monch0_sink_axi4_awlock -> perf_monch0:sink_axi4_awlock
	wire   [43:0] mm_interconnect_1_perf_monch0_sink_axi4_awaddr;  // mm_interconnect_1:perf_monch0_sink_axi4_awaddr -> perf_monch0:sink_axi4_awaddr
	wire    [1:0] mm_interconnect_1_perf_monch0_sink_axi4_bresp;   // perf_monch0:sink_axi4_bresp -> mm_interconnect_1:perf_monch0_sink_axi4_bresp
	wire          mm_interconnect_1_perf_monch0_sink_axi4_arready; // perf_monch0:sink_axi4_arready -> mm_interconnect_1:perf_monch0_sink_axi4_arready
	wire  [255:0] mm_interconnect_1_perf_monch0_sink_axi4_rdata;   // perf_monch0:sink_axi4_rdata -> mm_interconnect_1:perf_monch0_sink_axi4_rdata
	wire          mm_interconnect_1_perf_monch0_sink_axi4_awready; // perf_monch0:sink_axi4_awready -> mm_interconnect_1:perf_monch0_sink_axi4_awready
	wire    [1:0] mm_interconnect_1_perf_monch0_sink_axi4_arburst; // mm_interconnect_1:perf_monch0_sink_axi4_arburst -> perf_monch0:sink_axi4_arburst
	wire    [2:0] mm_interconnect_1_perf_monch0_sink_axi4_arsize;  // mm_interconnect_1:perf_monch0_sink_axi4_arsize -> perf_monch0:sink_axi4_arsize
	wire          mm_interconnect_1_perf_monch0_sink_axi4_bready;  // mm_interconnect_1:perf_monch0_sink_axi4_bready -> perf_monch0:sink_axi4_bready
	wire          mm_interconnect_1_perf_monch0_sink_axi4_rlast;   // perf_monch0:sink_axi4_rlast -> mm_interconnect_1:perf_monch0_sink_axi4_rlast
	wire          mm_interconnect_1_perf_monch0_sink_axi4_wlast;   // mm_interconnect_1:perf_monch0_sink_axi4_wlast -> perf_monch0:sink_axi4_wlast
	wire    [0:0] mm_interconnect_1_perf_monch0_sink_axi4_buser;   // perf_monch0:sink_axi4_buser -> mm_interconnect_1:perf_monch0_sink_axi4_buser
	wire    [1:0] mm_interconnect_1_perf_monch0_sink_axi4_rresp;   // perf_monch0:sink_axi4_rresp -> mm_interconnect_1:perf_monch0_sink_axi4_rresp
	wire    [6:0] mm_interconnect_1_perf_monch0_sink_axi4_awid;    // mm_interconnect_1:perf_monch0_sink_axi4_awid -> perf_monch0:sink_axi4_awid
	wire    [6:0] mm_interconnect_1_perf_monch0_sink_axi4_bid;     // perf_monch0:sink_axi4_bid -> mm_interconnect_1:perf_monch0_sink_axi4_bid
	wire          mm_interconnect_1_perf_monch0_sink_axi4_bvalid;  // perf_monch0:sink_axi4_bvalid -> mm_interconnect_1:perf_monch0_sink_axi4_bvalid
	wire    [2:0] mm_interconnect_1_perf_monch0_sink_axi4_awsize;  // mm_interconnect_1:perf_monch0_sink_axi4_awsize -> perf_monch0:sink_axi4_awsize
	wire          mm_interconnect_1_perf_monch0_sink_axi4_awvalid; // mm_interconnect_1:perf_monch0_sink_axi4_awvalid -> perf_monch0:sink_axi4_awvalid
	wire    [0:0] mm_interconnect_1_perf_monch0_sink_axi4_aruser;  // mm_interconnect_1:perf_monch0_sink_axi4_aruser -> perf_monch0:sink_axi4_aruser
	wire          mm_interconnect_1_perf_monch0_sink_axi4_rvalid;  // perf_monch0:sink_axi4_rvalid -> mm_interconnect_1:perf_monch0_sink_axi4_rvalid
	wire    [0:0] perf_monch0_src_axi4_ruser;                      // mm_interconnect_4:perf_monch0_src_axi4_ruser -> perf_monch0:src_axi4_ruser
	wire    [0:0] perf_monch0_src_axi4_wuser;                      // perf_monch0:src_axi4_wuser -> mm_interconnect_4:perf_monch0_src_axi4_wuser
	wire    [1:0] perf_monch0_src_axi4_awburst;                    // perf_monch0:src_axi4_awburst -> mm_interconnect_4:perf_monch0_src_axi4_awburst
	wire    [0:0] perf_monch0_src_axi4_awuser;                     // perf_monch0:src_axi4_awuser -> mm_interconnect_4:perf_monch0_src_axi4_awuser
	wire    [7:0] perf_monch0_src_axi4_arlen;                      // perf_monch0:src_axi4_arlen -> mm_interconnect_4:perf_monch0_src_axi4_arlen
	wire    [3:0] perf_monch0_src_axi4_arqos;                      // perf_monch0:src_axi4_arqos -> mm_interconnect_4:perf_monch0_src_axi4_arqos
	wire          perf_monch0_src_axi4_wready;                     // mm_interconnect_4:perf_monch0_src_axi4_wready -> perf_monch0:src_axi4_wready
	wire   [31:0] perf_monch0_src_axi4_wstrb;                      // perf_monch0:src_axi4_wstrb -> mm_interconnect_4:perf_monch0_src_axi4_wstrb
	wire    [6:0] perf_monch0_src_axi4_rid;                        // mm_interconnect_4:perf_monch0_src_axi4_rid -> perf_monch0:src_axi4_rid
	wire          perf_monch0_src_axi4_rready;                     // perf_monch0:src_axi4_rready -> mm_interconnect_4:perf_monch0_src_axi4_rready
	wire    [7:0] perf_monch0_src_axi4_awlen;                      // perf_monch0:src_axi4_awlen -> mm_interconnect_4:perf_monch0_src_axi4_awlen
	wire    [3:0] perf_monch0_src_axi4_awqos;                      // perf_monch0:src_axi4_awqos -> mm_interconnect_4:perf_monch0_src_axi4_awqos
	wire    [3:0] perf_monch0_src_axi4_arcache;                    // perf_monch0:src_axi4_arcache -> mm_interconnect_4:perf_monch0_src_axi4_arcache
	wire   [43:0] perf_monch0_src_axi4_araddr;                     // perf_monch0:src_axi4_araddr -> mm_interconnect_4:perf_monch0_src_axi4_araddr
	wire          perf_monch0_src_axi4_wvalid;                     // perf_monch0:src_axi4_wvalid -> mm_interconnect_4:perf_monch0_src_axi4_wvalid
	wire    [2:0] perf_monch0_src_axi4_arprot;                     // perf_monch0:src_axi4_arprot -> mm_interconnect_4:perf_monch0_src_axi4_arprot
	wire    [2:0] perf_monch0_src_axi4_awprot;                     // perf_monch0:src_axi4_awprot -> mm_interconnect_4:perf_monch0_src_axi4_awprot
	wire          perf_monch0_src_axi4_arvalid;                    // perf_monch0:src_axi4_arvalid -> mm_interconnect_4:perf_monch0_src_axi4_arvalid
	wire  [255:0] perf_monch0_src_axi4_wdata;                      // perf_monch0:src_axi4_wdata -> mm_interconnect_4:perf_monch0_src_axi4_wdata
	wire    [3:0] perf_monch0_src_axi4_awcache;                    // perf_monch0:src_axi4_awcache -> mm_interconnect_4:perf_monch0_src_axi4_awcache
	wire    [6:0] perf_monch0_src_axi4_arid;                       // perf_monch0:src_axi4_arid -> mm_interconnect_4:perf_monch0_src_axi4_arid
	wire    [0:0] perf_monch0_src_axi4_arlock;                     // perf_monch0:src_axi4_arlock -> mm_interconnect_4:perf_monch0_src_axi4_arlock
	wire    [0:0] perf_monch0_src_axi4_awlock;                     // perf_monch0:src_axi4_awlock -> mm_interconnect_4:perf_monch0_src_axi4_awlock
	wire   [43:0] perf_monch0_src_axi4_awaddr;                     // perf_monch0:src_axi4_awaddr -> mm_interconnect_4:perf_monch0_src_axi4_awaddr
	wire          perf_monch0_src_axi4_arready;                    // mm_interconnect_4:perf_monch0_src_axi4_arready -> perf_monch0:src_axi4_arready
	wire    [1:0] perf_monch0_src_axi4_bresp;                      // mm_interconnect_4:perf_monch0_src_axi4_bresp -> perf_monch0:src_axi4_bresp
	wire  [255:0] perf_monch0_src_axi4_rdata;                      // mm_interconnect_4:perf_monch0_src_axi4_rdata -> perf_monch0:src_axi4_rdata
	wire          perf_monch0_src_axi4_awready;                    // mm_interconnect_4:perf_monch0_src_axi4_awready -> perf_monch0:src_axi4_awready
	wire    [1:0] perf_monch0_src_axi4_arburst;                    // perf_monch0:src_axi4_arburst -> mm_interconnect_4:perf_monch0_src_axi4_arburst
	wire    [2:0] perf_monch0_src_axi4_arsize;                     // perf_monch0:src_axi4_arsize -> mm_interconnect_4:perf_monch0_src_axi4_arsize
	wire          perf_monch0_src_axi4_bready;                     // perf_monch0:src_axi4_bready -> mm_interconnect_4:perf_monch0_src_axi4_bready
	wire          perf_monch0_src_axi4_rlast;                      // mm_interconnect_4:perf_monch0_src_axi4_rlast -> perf_monch0:src_axi4_rlast
	wire          perf_monch0_src_axi4_wlast;                      // perf_monch0:src_axi4_wlast -> mm_interconnect_4:perf_monch0_src_axi4_wlast
	wire    [0:0] perf_monch0_src_axi4_buser;                      // mm_interconnect_4:perf_monch0_src_axi4_buser -> perf_monch0:src_axi4_buser
	wire    [1:0] perf_monch0_src_axi4_rresp;                      // mm_interconnect_4:perf_monch0_src_axi4_rresp -> perf_monch0:src_axi4_rresp
	wire    [6:0] perf_monch0_src_axi4_awid;                       // perf_monch0:src_axi4_awid -> mm_interconnect_4:perf_monch0_src_axi4_awid
	wire    [6:0] perf_monch0_src_axi4_bid;                        // mm_interconnect_4:perf_monch0_src_axi4_bid -> perf_monch0:src_axi4_bid
	wire          perf_monch0_src_axi4_bvalid;                     // mm_interconnect_4:perf_monch0_src_axi4_bvalid -> perf_monch0:src_axi4_bvalid
	wire          perf_monch0_src_axi4_awvalid;                    // perf_monch0:src_axi4_awvalid -> mm_interconnect_4:perf_monch0_src_axi4_awvalid
	wire    [2:0] perf_monch0_src_axi4_awsize;                     // perf_monch0:src_axi4_awsize -> mm_interconnect_4:perf_monch0_src_axi4_awsize
	wire    [0:0] perf_monch0_src_axi4_aruser;                     // perf_monch0:src_axi4_aruser -> mm_interconnect_4:perf_monch0_src_axi4_aruser
	wire          perf_monch0_src_axi4_rvalid;                     // mm_interconnect_4:perf_monch0_src_axi4_rvalid -> perf_monch0:src_axi4_rvalid
	wire   [31:0] mm_interconnect_4_noc_init_s0_axi4_ruser;        // noc_init:s0_axi4_ruser -> mm_interconnect_4:noc_init_s0_axi4_ruser
	wire   [31:0] mm_interconnect_4_noc_init_s0_axi4_wuser;        // mm_interconnect_4:noc_init_s0_axi4_wuser -> noc_init:s0_axi4_wuser
	wire    [1:0] mm_interconnect_4_noc_init_s0_axi4_awburst;      // mm_interconnect_4:noc_init_s0_axi4_awburst -> noc_init:s0_axi4_awburst
	wire   [10:0] mm_interconnect_4_noc_init_s0_axi4_awuser;       // mm_interconnect_4:noc_init_s0_axi4_awuser -> noc_init:s0_axi4_awuser
	wire    [7:0] mm_interconnect_4_noc_init_s0_axi4_arlen;        // mm_interconnect_4:noc_init_s0_axi4_arlen -> noc_init:s0_axi4_arlen
	wire    [3:0] mm_interconnect_4_noc_init_s0_axi4_arqos;        // mm_interconnect_4:noc_init_s0_axi4_arqos -> noc_init:s0_axi4_arqos
	wire   [31:0] mm_interconnect_4_noc_init_s0_axi4_wstrb;        // mm_interconnect_4:noc_init_s0_axi4_wstrb -> noc_init:s0_axi4_wstrb
	wire          mm_interconnect_4_noc_init_s0_axi4_wready;       // noc_init:s0_axi4_wready -> mm_interconnect_4:noc_init_s0_axi4_wready
	wire    [6:0] mm_interconnect_4_noc_init_s0_axi4_rid;          // noc_init:s0_axi4_rid -> mm_interconnect_4:noc_init_s0_axi4_rid
	wire          mm_interconnect_4_noc_init_s0_axi4_rready;       // mm_interconnect_4:noc_init_s0_axi4_rready -> noc_init:s0_axi4_rready
	wire    [7:0] mm_interconnect_4_noc_init_s0_axi4_awlen;        // mm_interconnect_4:noc_init_s0_axi4_awlen -> noc_init:s0_axi4_awlen
	wire    [3:0] mm_interconnect_4_noc_init_s0_axi4_awqos;        // mm_interconnect_4:noc_init_s0_axi4_awqos -> noc_init:s0_axi4_awqos
	wire          mm_interconnect_4_noc_init_s0_axi4_wvalid;       // mm_interconnect_4:noc_init_s0_axi4_wvalid -> noc_init:s0_axi4_wvalid
	wire   [43:0] mm_interconnect_4_noc_init_s0_axi4_araddr;       // mm_interconnect_4:noc_init_s0_axi4_araddr -> noc_init:s0_axi4_araddr
	wire    [2:0] mm_interconnect_4_noc_init_s0_axi4_arprot;       // mm_interconnect_4:noc_init_s0_axi4_arprot -> noc_init:s0_axi4_arprot
	wire    [2:0] mm_interconnect_4_noc_init_s0_axi4_awprot;       // mm_interconnect_4:noc_init_s0_axi4_awprot -> noc_init:s0_axi4_awprot
	wire  [255:0] mm_interconnect_4_noc_init_s0_axi4_wdata;        // mm_interconnect_4:noc_init_s0_axi4_wdata -> noc_init:s0_axi4_wdata
	wire          mm_interconnect_4_noc_init_s0_axi4_arvalid;      // mm_interconnect_4:noc_init_s0_axi4_arvalid -> noc_init:s0_axi4_arvalid
	wire    [6:0] mm_interconnect_4_noc_init_s0_axi4_arid;         // mm_interconnect_4:noc_init_s0_axi4_arid -> noc_init:s0_axi4_arid
	wire    [0:0] mm_interconnect_4_noc_init_s0_axi4_arlock;       // mm_interconnect_4:noc_init_s0_axi4_arlock -> noc_init:s0_axi4_arlock
	wire    [0:0] mm_interconnect_4_noc_init_s0_axi4_awlock;       // mm_interconnect_4:noc_init_s0_axi4_awlock -> noc_init:s0_axi4_awlock
	wire   [43:0] mm_interconnect_4_noc_init_s0_axi4_awaddr;       // mm_interconnect_4:noc_init_s0_axi4_awaddr -> noc_init:s0_axi4_awaddr
	wire    [1:0] mm_interconnect_4_noc_init_s0_axi4_bresp;        // noc_init:s0_axi4_bresp -> mm_interconnect_4:noc_init_s0_axi4_bresp
	wire          mm_interconnect_4_noc_init_s0_axi4_arready;      // noc_init:s0_axi4_arready -> mm_interconnect_4:noc_init_s0_axi4_arready
	wire  [255:0] mm_interconnect_4_noc_init_s0_axi4_rdata;        // noc_init:s0_axi4_rdata -> mm_interconnect_4:noc_init_s0_axi4_rdata
	wire          mm_interconnect_4_noc_init_s0_axi4_awready;      // noc_init:s0_axi4_awready -> mm_interconnect_4:noc_init_s0_axi4_awready
	wire    [1:0] mm_interconnect_4_noc_init_s0_axi4_arburst;      // mm_interconnect_4:noc_init_s0_axi4_arburst -> noc_init:s0_axi4_arburst
	wire    [2:0] mm_interconnect_4_noc_init_s0_axi4_arsize;       // mm_interconnect_4:noc_init_s0_axi4_arsize -> noc_init:s0_axi4_arsize
	wire          mm_interconnect_4_noc_init_s0_axi4_bready;       // mm_interconnect_4:noc_init_s0_axi4_bready -> noc_init:s0_axi4_bready
	wire          mm_interconnect_4_noc_init_s0_axi4_rlast;        // noc_init:s0_axi4_rlast -> mm_interconnect_4:noc_init_s0_axi4_rlast
	wire          mm_interconnect_4_noc_init_s0_axi4_wlast;        // mm_interconnect_4:noc_init_s0_axi4_wlast -> noc_init:s0_axi4_wlast
	wire    [1:0] mm_interconnect_4_noc_init_s0_axi4_rresp;        // noc_init:s0_axi4_rresp -> mm_interconnect_4:noc_init_s0_axi4_rresp
	wire    [6:0] mm_interconnect_4_noc_init_s0_axi4_awid;         // mm_interconnect_4:noc_init_s0_axi4_awid -> noc_init:s0_axi4_awid
	wire    [6:0] mm_interconnect_4_noc_init_s0_axi4_bid;          // noc_init:s0_axi4_bid -> mm_interconnect_4:noc_init_s0_axi4_bid
	wire          mm_interconnect_4_noc_init_s0_axi4_bvalid;       // noc_init:s0_axi4_bvalid -> mm_interconnect_4:noc_init_s0_axi4_bvalid
	wire    [2:0] mm_interconnect_4_noc_init_s0_axi4_awsize;       // mm_interconnect_4:noc_init_s0_axi4_awsize -> noc_init:s0_axi4_awsize
	wire          mm_interconnect_4_noc_init_s0_axi4_awvalid;      // mm_interconnect_4:noc_init_s0_axi4_awvalid -> noc_init:s0_axi4_awvalid
	wire   [10:0] mm_interconnect_4_noc_init_s0_axi4_aruser;       // mm_interconnect_4:noc_init_s0_axi4_aruser -> noc_init:s0_axi4_aruser
	wire          mm_interconnect_4_noc_init_s0_axi4_rvalid;       // noc_init:s0_axi4_rvalid -> mm_interconnect_4:noc_init_s0_axi4_rvalid
	wire          rst_controller_reset_out_reset;                  // rst_controller:reset_out -> [axil_driver_0:axil_driver_rst_n, noc_init_lite_0:s_axi4lite_aresetn]
	wire          rst_controller_001_reset_out_reset;              // rst_controller_001:reset_out -> noc_init:s_axi4_aresetn
	wire          rst_controller_002_reset_out_reset;              // rst_controller_002:reset_out -> [mm_interconnect_1:traffic_generator_driver0_axi4_translator_clk_reset_reset_bridge_in_reset_reset, mm_interconnect_4:perf_monch0_src_axi4_translator_clk_reset_reset_bridge_in_reset_reset]
	wire          rst_controller_003_reset_out_reset;              // rst_controller_003:reset_out -> mm_interconnect_4:noc_init_s0_axi4_translator_clk_reset_reset_bridge_in_reset_reset

	ed_synth_axil_driver_0 axil_driver_0 (
		.axil_driver_clk     (user_pll_outclk1_clk),                        //   input,   width = 1,       axil_driver_clk.clk
		.axil_driver_rst_n   (~rst_controller_reset_out_reset),             //   input,   width = 1,     axil_driver_rst_n.reset_n
		.axil_driver_awaddr  (axil_driver_0_axil_driver_axi4_lite_awaddr),  //  output,  width = 44, axil_driver_axi4_lite.awaddr
		.axil_driver_awvalid (axil_driver_0_axil_driver_axi4_lite_awvalid), //  output,   width = 1,                      .awvalid
		.axil_driver_awready (axil_driver_0_axil_driver_axi4_lite_awready), //   input,   width = 1,                      .awready
		.axil_driver_wdata   (axil_driver_0_axil_driver_axi4_lite_wdata),   //  output,  width = 32,                      .wdata
		.axil_driver_wstrb   (axil_driver_0_axil_driver_axi4_lite_wstrb),   //  output,   width = 4,                      .wstrb
		.axil_driver_wvalid  (axil_driver_0_axil_driver_axi4_lite_wvalid),  //  output,   width = 1,                      .wvalid
		.axil_driver_wready  (axil_driver_0_axil_driver_axi4_lite_wready),  //   input,   width = 1,                      .wready
		.axil_driver_bresp   (axil_driver_0_axil_driver_axi4_lite_bresp),   //   input,   width = 2,                      .bresp
		.axil_driver_bvalid  (axil_driver_0_axil_driver_axi4_lite_bvalid),  //   input,   width = 1,                      .bvalid
		.axil_driver_bready  (axil_driver_0_axil_driver_axi4_lite_bready),  //  output,   width = 1,                      .bready
		.axil_driver_araddr  (axil_driver_0_axil_driver_axi4_lite_araddr),  //  output,  width = 44,                      .araddr
		.axil_driver_arvalid (axil_driver_0_axil_driver_axi4_lite_arvalid), //  output,   width = 1,                      .arvalid
		.axil_driver_arready (axil_driver_0_axil_driver_axi4_lite_arready), //   input,   width = 1,                      .arready
		.axil_driver_rdata   (axil_driver_0_axil_driver_axi4_lite_rdata),   //   input,  width = 32,                      .rdata
		.axil_driver_rresp   (axil_driver_0_axil_driver_axi4_lite_rresp),   //   input,   width = 2,                      .rresp
		.axil_driver_rvalid  (axil_driver_0_axil_driver_axi4_lite_rvalid),  //   input,   width = 1,                      .rvalid
		.axil_driver_rready  (axil_driver_0_axil_driver_axi4_lite_rready),  //  output,   width = 1,                      .rready
		.axil_driver_awprot  (axil_driver_0_axil_driver_axi4_lite_awprot),  //  output,   width = 3,                      .awprot
		.axil_driver_arprot  (axil_driver_0_axil_driver_axi4_lite_arprot),  //  output,   width = 3,                      .arprot
		.cal_done_rst_n      (axil_driver_0_cal_done_rst_n_reset)           //  output,   width = 1,        cal_done_rst_n.reset_n
	);

	ed_synth_emif_ph2_0 emif_ph2_0 (
		.ref_clk_0     (ref_clk_0_clk),                //   input,   width = 1, ref_clk_0.clk
		.mem_ck_t_0    (emif_ph2_0_mem_0_mem_ck_t),    //  output,   width = 1,     mem_0.mem_ck_t
		.mem_ck_c_0    (emif_ph2_0_mem_0_mem_ck_c),    //  output,   width = 1,          .mem_ck_c
		.mem_reset_n_0 (emif_ph2_0_mem_0_mem_reset_n), //  output,   width = 1,          .mem_reset_n
		.mem_cs_n_0    (emif_ph2_0_mem_0_mem_cs_n),    //  output,   width = 1,          .mem_cs_n
		.mem_ca_0      (emif_ph2_0_mem_0_mem_ca),      //  output,  width = 13,          .mem_ca
		.mem_dq_0      (emif_ph2_0_mem_0_mem_dq),      //   inout,  width = 32,          .mem_dq
		.mem_dqs_t_0   (emif_ph2_0_mem_0_mem_dqs_t),   //   inout,   width = 4,          .mem_dqs_t
		.mem_dqs_c_0   (emif_ph2_0_mem_0_mem_dqs_c),   //   inout,   width = 4,          .mem_dqs_c
		.mem_dm_n_0    (emif_ph2_0_mem_0_mem_dm_n),    //  output,   width = 4,          .mem_dm_n
		.mem_alert_n_0 (emif_ph2_0_mem_0_mem_alert_n), //   input,   width = 1,          .mem_alert_n
		.oct_rzqin_0   (emif_ph2_0_oct_0_oct_rzqin)    //   input,   width = 1,     oct_0.oct_rzqin
	);

	ed_synth_noc_ctrl noc_ctrl (
		.refclk     (noc_ctrl_refclk_clk), //   input,  width = 1,     refclk.clk
		.pll_lock_o ()                     //  output,  width = 1, pll_lock_o.pll_lock_o
	);

	ed_synth_noc_init noc_init (
		.s0_axi4_arid    (mm_interconnect_4_noc_init_s0_axi4_arid),    //   input,    width = 7,        s0_axi4.arid
		.s0_axi4_araddr  (mm_interconnect_4_noc_init_s0_axi4_araddr),  //   input,   width = 44,               .araddr
		.s0_axi4_arlen   (mm_interconnect_4_noc_init_s0_axi4_arlen),   //   input,    width = 8,               .arlen
		.s0_axi4_arsize  (mm_interconnect_4_noc_init_s0_axi4_arsize),  //   input,    width = 3,               .arsize
		.s0_axi4_arburst (mm_interconnect_4_noc_init_s0_axi4_arburst), //   input,    width = 2,               .arburst
		.s0_axi4_arlock  (mm_interconnect_4_noc_init_s0_axi4_arlock),  //   input,    width = 1,               .arlock
		.s0_axi4_arprot  (mm_interconnect_4_noc_init_s0_axi4_arprot),  //   input,    width = 3,               .arprot
		.s0_axi4_arqos   (mm_interconnect_4_noc_init_s0_axi4_arqos),   //   input,    width = 4,               .arqos
		.s0_axi4_aruser  (mm_interconnect_4_noc_init_s0_axi4_aruser),  //   input,   width = 11,               .aruser
		.s0_axi4_arvalid (mm_interconnect_4_noc_init_s0_axi4_arvalid), //   input,    width = 1,               .arvalid
		.s0_axi4_arready (mm_interconnect_4_noc_init_s0_axi4_arready), //  output,    width = 1,               .arready
		.s0_axi4_rid     (mm_interconnect_4_noc_init_s0_axi4_rid),     //  output,    width = 7,               .rid
		.s0_axi4_rdata   (mm_interconnect_4_noc_init_s0_axi4_rdata),   //  output,  width = 256,               .rdata
		.s0_axi4_rresp   (mm_interconnect_4_noc_init_s0_axi4_rresp),   //  output,    width = 2,               .rresp
		.s0_axi4_rlast   (mm_interconnect_4_noc_init_s0_axi4_rlast),   //  output,    width = 1,               .rlast
		.s0_axi4_ruser   (mm_interconnect_4_noc_init_s0_axi4_ruser),   //  output,   width = 32,               .ruser
		.s0_axi4_rvalid  (mm_interconnect_4_noc_init_s0_axi4_rvalid),  //  output,    width = 1,               .rvalid
		.s0_axi4_rready  (mm_interconnect_4_noc_init_s0_axi4_rready),  //   input,    width = 1,               .rready
		.s0_axi4_awid    (mm_interconnect_4_noc_init_s0_axi4_awid),    //   input,    width = 7,               .awid
		.s0_axi4_awaddr  (mm_interconnect_4_noc_init_s0_axi4_awaddr),  //   input,   width = 44,               .awaddr
		.s0_axi4_awlen   (mm_interconnect_4_noc_init_s0_axi4_awlen),   //   input,    width = 8,               .awlen
		.s0_axi4_awsize  (mm_interconnect_4_noc_init_s0_axi4_awsize),  //   input,    width = 3,               .awsize
		.s0_axi4_awburst (mm_interconnect_4_noc_init_s0_axi4_awburst), //   input,    width = 2,               .awburst
		.s0_axi4_awlock  (mm_interconnect_4_noc_init_s0_axi4_awlock),  //   input,    width = 1,               .awlock
		.s0_axi4_awprot  (mm_interconnect_4_noc_init_s0_axi4_awprot),  //   input,    width = 3,               .awprot
		.s0_axi4_awqos   (mm_interconnect_4_noc_init_s0_axi4_awqos),   //   input,    width = 4,               .awqos
		.s0_axi4_awuser  (mm_interconnect_4_noc_init_s0_axi4_awuser),  //   input,   width = 11,               .awuser
		.s0_axi4_awvalid (mm_interconnect_4_noc_init_s0_axi4_awvalid), //   input,    width = 1,               .awvalid
		.s0_axi4_awready (mm_interconnect_4_noc_init_s0_axi4_awready), //  output,    width = 1,               .awready
		.s0_axi4_wdata   (mm_interconnect_4_noc_init_s0_axi4_wdata),   //   input,  width = 256,               .wdata
		.s0_axi4_wstrb   (mm_interconnect_4_noc_init_s0_axi4_wstrb),   //   input,   width = 32,               .wstrb
		.s0_axi4_wlast   (mm_interconnect_4_noc_init_s0_axi4_wlast),   //   input,    width = 1,               .wlast
		.s0_axi4_wuser   (mm_interconnect_4_noc_init_s0_axi4_wuser),   //   input,   width = 32,               .wuser
		.s0_axi4_wvalid  (mm_interconnect_4_noc_init_s0_axi4_wvalid),  //   input,    width = 1,               .wvalid
		.s0_axi4_wready  (mm_interconnect_4_noc_init_s0_axi4_wready),  //  output,    width = 1,               .wready
		.s0_axi4_bid     (mm_interconnect_4_noc_init_s0_axi4_bid),     //  output,    width = 7,               .bid
		.s0_axi4_bresp   (mm_interconnect_4_noc_init_s0_axi4_bresp),   //  output,    width = 2,               .bresp
		.s0_axi4_bvalid  (mm_interconnect_4_noc_init_s0_axi4_bvalid),  //  output,    width = 1,               .bvalid
		.s0_axi4_bready  (mm_interconnect_4_noc_init_s0_axi4_bready),  //   input,    width = 1,               .bready
		.s_axi4_aclk     (user_pll_outclk0_clk),                       //   input,    width = 1,    s_axi4_aclk.clk
		.s_axi4_aresetn  (~rst_controller_001_reset_out_reset)         //   input,    width = 1, s_axi4_aresetn.reset_n
	);

	ed_synth_noc_init_lite_0 noc_init_lite_0 (
		.s0_axi4lite_awaddr  (axil_driver_0_axil_driver_axi4_lite_awaddr),  //   input,  width = 44,        s0_axi4lite.awaddr
		.s0_axi4lite_awvalid (axil_driver_0_axil_driver_axi4_lite_awvalid), //   input,   width = 1,                   .awvalid
		.s0_axi4lite_awready (axil_driver_0_axil_driver_axi4_lite_awready), //  output,   width = 1,                   .awready
		.s0_axi4lite_wdata   (axil_driver_0_axil_driver_axi4_lite_wdata),   //   input,  width = 32,                   .wdata
		.s0_axi4lite_wstrb   (axil_driver_0_axil_driver_axi4_lite_wstrb),   //   input,   width = 4,                   .wstrb
		.s0_axi4lite_wvalid  (axil_driver_0_axil_driver_axi4_lite_wvalid),  //   input,   width = 1,                   .wvalid
		.s0_axi4lite_wready  (axil_driver_0_axil_driver_axi4_lite_wready),  //  output,   width = 1,                   .wready
		.s0_axi4lite_bresp   (axil_driver_0_axil_driver_axi4_lite_bresp),   //  output,   width = 2,                   .bresp
		.s0_axi4lite_bvalid  (axil_driver_0_axil_driver_axi4_lite_bvalid),  //  output,   width = 1,                   .bvalid
		.s0_axi4lite_bready  (axil_driver_0_axil_driver_axi4_lite_bready),  //   input,   width = 1,                   .bready
		.s0_axi4lite_araddr  (axil_driver_0_axil_driver_axi4_lite_araddr),  //   input,  width = 44,                   .araddr
		.s0_axi4lite_arvalid (axil_driver_0_axil_driver_axi4_lite_arvalid), //   input,   width = 1,                   .arvalid
		.s0_axi4lite_arready (axil_driver_0_axil_driver_axi4_lite_arready), //  output,   width = 1,                   .arready
		.s0_axi4lite_rdata   (axil_driver_0_axil_driver_axi4_lite_rdata),   //  output,  width = 32,                   .rdata
		.s0_axi4lite_rresp   (axil_driver_0_axil_driver_axi4_lite_rresp),   //  output,   width = 2,                   .rresp
		.s0_axi4lite_rvalid  (axil_driver_0_axil_driver_axi4_lite_rvalid),  //  output,   width = 1,                   .rvalid
		.s0_axi4lite_rready  (axil_driver_0_axil_driver_axi4_lite_rready),  //   input,   width = 1,                   .rready
		.s0_axi4lite_awprot  (axil_driver_0_axil_driver_axi4_lite_awprot),  //   input,   width = 3,                   .awprot
		.s0_axi4lite_arprot  (axil_driver_0_axil_driver_axi4_lite_arprot),  //   input,   width = 3,                   .arprot
		.s_axi4lite_aclk     (user_pll_outclk1_clk),                        //   input,   width = 1,    s_axi4lite_aclk.clk
		.s_axi4lite_aresetn  (~rst_controller_reset_out_reset)              //   input,   width = 1, s_axi4lite_aresetn.reset_n
	);

	ed_synth_perf_monch0 perf_monch0 (
		.clk                (user_pll_outclk0_clk),                            //   input,    width = 1,          clk.clk
		.reset_n            (axil_driver_0_cal_done_rst_n_reset),              //   input,    width = 1,      reset_n.reset_n
		.csr_clk            (user_pll_outclk1_clk),                            //   input,    width = 1,      csr_clk.clk
		.csr_reset_n        (reset_handler_reset_n_out_reset),                 //   input,    width = 1,  csr_reset_n.reset_n
		.master_reset_reset (),                                                //  output,    width = 1, master_reset.reset
		.src_axi4_awready   (perf_monch0_src_axi4_awready),                    //   input,    width = 1,     src_axi4.awready
		.src_axi4_awvalid   (perf_monch0_src_axi4_awvalid),                    //  output,    width = 1,             .awvalid
		.src_axi4_awid      (perf_monch0_src_axi4_awid),                       //  output,    width = 7,             .awid
		.src_axi4_awaddr    (perf_monch0_src_axi4_awaddr),                     //  output,   width = 44,             .awaddr
		.src_axi4_awlen     (perf_monch0_src_axi4_awlen),                      //  output,    width = 8,             .awlen
		.src_axi4_awsize    (perf_monch0_src_axi4_awsize),                     //  output,    width = 3,             .awsize
		.src_axi4_awburst   (perf_monch0_src_axi4_awburst),                    //  output,    width = 2,             .awburst
		.src_axi4_awqos     (perf_monch0_src_axi4_awqos),                      //  output,    width = 4,             .awqos
		.src_axi4_awlock    (perf_monch0_src_axi4_awlock),                     //  output,    width = 1,             .awlock
		.src_axi4_awuser    (perf_monch0_src_axi4_awuser),                     //  output,    width = 1,             .awuser
		.src_axi4_awprot    (perf_monch0_src_axi4_awprot),                     //  output,    width = 3,             .awprot
		.src_axi4_awcache   (perf_monch0_src_axi4_awcache),                    //  output,    width = 4,             .awcache
		.src_axi4_arready   (perf_monch0_src_axi4_arready),                    //   input,    width = 1,             .arready
		.src_axi4_arvalid   (perf_monch0_src_axi4_arvalid),                    //  output,    width = 1,             .arvalid
		.src_axi4_arid      (perf_monch0_src_axi4_arid),                       //  output,    width = 7,             .arid
		.src_axi4_araddr    (perf_monch0_src_axi4_araddr),                     //  output,   width = 44,             .araddr
		.src_axi4_arlen     (perf_monch0_src_axi4_arlen),                      //  output,    width = 8,             .arlen
		.src_axi4_arsize    (perf_monch0_src_axi4_arsize),                     //  output,    width = 3,             .arsize
		.src_axi4_arburst   (perf_monch0_src_axi4_arburst),                    //  output,    width = 2,             .arburst
		.src_axi4_arqos     (perf_monch0_src_axi4_arqos),                      //  output,    width = 4,             .arqos
		.src_axi4_arlock    (perf_monch0_src_axi4_arlock),                     //  output,    width = 1,             .arlock
		.src_axi4_aruser    (perf_monch0_src_axi4_aruser),                     //  output,    width = 1,             .aruser
		.src_axi4_arprot    (perf_monch0_src_axi4_arprot),                     //  output,    width = 3,             .arprot
		.src_axi4_arcache   (perf_monch0_src_axi4_arcache),                    //  output,    width = 4,             .arcache
		.src_axi4_wready    (perf_monch0_src_axi4_wready),                     //   input,    width = 1,             .wready
		.src_axi4_wvalid    (perf_monch0_src_axi4_wvalid),                     //  output,    width = 1,             .wvalid
		.src_axi4_wdata     (perf_monch0_src_axi4_wdata),                      //  output,  width = 256,             .wdata
		.src_axi4_wuser     (perf_monch0_src_axi4_wuser),                      //  output,    width = 1,             .wuser
		.src_axi4_wstrb     (perf_monch0_src_axi4_wstrb),                      //  output,   width = 32,             .wstrb
		.src_axi4_wlast     (perf_monch0_src_axi4_wlast),                      //  output,    width = 1,             .wlast
		.src_axi4_bready    (perf_monch0_src_axi4_bready),                     //  output,    width = 1,             .bready
		.src_axi4_bvalid    (perf_monch0_src_axi4_bvalid),                     //   input,    width = 1,             .bvalid
		.src_axi4_bid       (perf_monch0_src_axi4_bid),                        //   input,    width = 7,             .bid
		.src_axi4_bresp     (perf_monch0_src_axi4_bresp),                      //   input,    width = 2,             .bresp
		.src_axi4_buser     (perf_monch0_src_axi4_buser),                      //   input,    width = 1,             .buser
		.src_axi4_rready    (perf_monch0_src_axi4_rready),                     //  output,    width = 1,             .rready
		.src_axi4_rvalid    (perf_monch0_src_axi4_rvalid),                     //   input,    width = 1,             .rvalid
		.src_axi4_rid       (perf_monch0_src_axi4_rid),                        //   input,    width = 7,             .rid
		.src_axi4_rdata     (perf_monch0_src_axi4_rdata),                      //   input,  width = 256,             .rdata
		.src_axi4_rresp     (perf_monch0_src_axi4_rresp),                      //   input,    width = 2,             .rresp
		.src_axi4_ruser     (perf_monch0_src_axi4_ruser),                      //   input,    width = 1,             .ruser
		.src_axi4_rlast     (perf_monch0_src_axi4_rlast),                      //   input,    width = 1,             .rlast
		.sink_axi4_awready  (mm_interconnect_1_perf_monch0_sink_axi4_awready), //  output,    width = 1,    sink_axi4.awready
		.sink_axi4_awvalid  (mm_interconnect_1_perf_monch0_sink_axi4_awvalid), //   input,    width = 1,             .awvalid
		.sink_axi4_awid     (mm_interconnect_1_perf_monch0_sink_axi4_awid),    //   input,    width = 7,             .awid
		.sink_axi4_awaddr   (mm_interconnect_1_perf_monch0_sink_axi4_awaddr),  //   input,   width = 44,             .awaddr
		.sink_axi4_awlen    (mm_interconnect_1_perf_monch0_sink_axi4_awlen),   //   input,    width = 8,             .awlen
		.sink_axi4_awsize   (mm_interconnect_1_perf_monch0_sink_axi4_awsize),  //   input,    width = 3,             .awsize
		.sink_axi4_awburst  (mm_interconnect_1_perf_monch0_sink_axi4_awburst), //   input,    width = 2,             .awburst
		.sink_axi4_awqos    (mm_interconnect_1_perf_monch0_sink_axi4_awqos),   //   input,    width = 4,             .awqos
		.sink_axi4_awlock   (mm_interconnect_1_perf_monch0_sink_axi4_awlock),  //   input,    width = 1,             .awlock
		.sink_axi4_awuser   (mm_interconnect_1_perf_monch0_sink_axi4_awuser),  //   input,    width = 1,             .awuser
		.sink_axi4_awprot   (mm_interconnect_1_perf_monch0_sink_axi4_awprot),  //   input,    width = 3,             .awprot
		.sink_axi4_awcache  (mm_interconnect_1_perf_monch0_sink_axi4_awcache), //   input,    width = 4,             .awcache
		.sink_axi4_arready  (mm_interconnect_1_perf_monch0_sink_axi4_arready), //  output,    width = 1,             .arready
		.sink_axi4_arvalid  (mm_interconnect_1_perf_monch0_sink_axi4_arvalid), //   input,    width = 1,             .arvalid
		.sink_axi4_arid     (mm_interconnect_1_perf_monch0_sink_axi4_arid),    //   input,    width = 7,             .arid
		.sink_axi4_araddr   (mm_interconnect_1_perf_monch0_sink_axi4_araddr),  //   input,   width = 44,             .araddr
		.sink_axi4_arlen    (mm_interconnect_1_perf_monch0_sink_axi4_arlen),   //   input,    width = 8,             .arlen
		.sink_axi4_arsize   (mm_interconnect_1_perf_monch0_sink_axi4_arsize),  //   input,    width = 3,             .arsize
		.sink_axi4_arburst  (mm_interconnect_1_perf_monch0_sink_axi4_arburst), //   input,    width = 2,             .arburst
		.sink_axi4_arqos    (mm_interconnect_1_perf_monch0_sink_axi4_arqos),   //   input,    width = 4,             .arqos
		.sink_axi4_arlock   (mm_interconnect_1_perf_monch0_sink_axi4_arlock),  //   input,    width = 1,             .arlock
		.sink_axi4_aruser   (mm_interconnect_1_perf_monch0_sink_axi4_aruser),  //   input,    width = 1,             .aruser
		.sink_axi4_arprot   (mm_interconnect_1_perf_monch0_sink_axi4_arprot),  //   input,    width = 3,             .arprot
		.sink_axi4_arcache  (mm_interconnect_1_perf_monch0_sink_axi4_arcache), //   input,    width = 4,             .arcache
		.sink_axi4_wready   (mm_interconnect_1_perf_monch0_sink_axi4_wready),  //  output,    width = 1,             .wready
		.sink_axi4_wvalid   (mm_interconnect_1_perf_monch0_sink_axi4_wvalid),  //   input,    width = 1,             .wvalid
		.sink_axi4_wdata    (mm_interconnect_1_perf_monch0_sink_axi4_wdata),   //   input,  width = 256,             .wdata
		.sink_axi4_wuser    (mm_interconnect_1_perf_monch0_sink_axi4_wuser),   //   input,    width = 1,             .wuser
		.sink_axi4_wstrb    (mm_interconnect_1_perf_monch0_sink_axi4_wstrb),   //   input,   width = 32,             .wstrb
		.sink_axi4_wlast    (mm_interconnect_1_perf_monch0_sink_axi4_wlast),   //   input,    width = 1,             .wlast
		.sink_axi4_bready   (mm_interconnect_1_perf_monch0_sink_axi4_bready),  //   input,    width = 1,             .bready
		.sink_axi4_bvalid   (mm_interconnect_1_perf_monch0_sink_axi4_bvalid),  //  output,    width = 1,             .bvalid
		.sink_axi4_bid      (mm_interconnect_1_perf_monch0_sink_axi4_bid),     //  output,    width = 7,             .bid
		.sink_axi4_bresp    (mm_interconnect_1_perf_monch0_sink_axi4_bresp),   //  output,    width = 2,             .bresp
		.sink_axi4_buser    (mm_interconnect_1_perf_monch0_sink_axi4_buser),   //  output,    width = 1,             .buser
		.sink_axi4_rready   (mm_interconnect_1_perf_monch0_sink_axi4_rready),  //   input,    width = 1,             .rready
		.sink_axi4_rvalid   (mm_interconnect_1_perf_monch0_sink_axi4_rvalid),  //  output,    width = 1,             .rvalid
		.sink_axi4_rid      (mm_interconnect_1_perf_monch0_sink_axi4_rid),     //  output,    width = 7,             .rid
		.sink_axi4_rdata    (mm_interconnect_1_perf_monch0_sink_axi4_rdata),   //  output,  width = 256,             .rdata
		.sink_axi4_rresp    (mm_interconnect_1_perf_monch0_sink_axi4_rresp),   //  output,    width = 2,             .rresp
		.sink_axi4_ruser    (mm_interconnect_1_perf_monch0_sink_axi4_ruser),   //  output,    width = 1,             .ruser
		.sink_axi4_rlast    (mm_interconnect_1_perf_monch0_sink_axi4_rlast)    //  output,    width = 1,             .rlast
	);

	ed_synth_reset_bridge_0 reset_bridge_0 (
		.in_reset  (rrip_ninit_done_reset), //   input,  width = 1,  in_reset.reset
		.out_reset (ninit_done_reset)       //  output,  width = 1, out_reset.reset
	);

	ed_synth_reset_handler reset_handler (
		.reset_n_0   (~rrip_ninit_done_reset),          //   input,  width = 1,   reset_n_0.reset_n
		.conduit_0   (user_pll_locked_export),          //   input,  width = 1,   conduit_0.export
		.clk         (user_pll_outclk0_clk),            //   input,  width = 1,         clk.clk
		.reset_out_n (reset_handler_reset_n_out_reset)  //  output,  width = 1, reset_n_out.reset_n
	);

	ed_synth_rrip rrip (
		.ninit_done (rrip_ninit_done_reset)  //  output,  width = 1, ninit_done.reset
	);

	ed_synth_traffic_generator traffic_generator (
		.remote_intf_clk              (user_pll_outclk1_clk),                   //   input,    width = 1,   remote_intf_clk.clk
		.remote_intf_reset_n          (reset_handler_reset_n_out_reset),        //   input,    width = 1, remote_intf_reset.reset_n
		.master_jtag_reset_jtag_reset (),                                       //  output,    width = 1,        jtag_reset.reset
		.driver0_axi4_awready         (traffic_generator_driver0_axi4_awready), //   input,    width = 1,      driver0_axi4.awready
		.driver0_axi4_awvalid         (traffic_generator_driver0_axi4_awvalid), //  output,    width = 1,                  .awvalid
		.driver0_axi4_awid            (traffic_generator_driver0_axi4_awid),    //  output,    width = 7,                  .awid
		.driver0_axi4_awaddr          (traffic_generator_driver0_axi4_awaddr),  //  output,   width = 44,                  .awaddr
		.driver0_axi4_awlen           (traffic_generator_driver0_axi4_awlen),   //  output,    width = 8,                  .awlen
		.driver0_axi4_awsize          (traffic_generator_driver0_axi4_awsize),  //  output,    width = 3,                  .awsize
		.driver0_axi4_awburst         (traffic_generator_driver0_axi4_awburst), //  output,    width = 2,                  .awburst
		.driver0_axi4_awlock          (traffic_generator_driver0_axi4_awlock),  //  output,    width = 1,                  .awlock
		.driver0_axi4_awcache         (traffic_generator_driver0_axi4_awcache), //  output,    width = 4,                  .awcache
		.driver0_axi4_awprot          (traffic_generator_driver0_axi4_awprot),  //  output,    width = 3,                  .awprot
		.driver0_axi4_awuser          (traffic_generator_driver0_axi4_awuser),  //  output,    width = 1,                  .awuser
		.driver0_axi4_arready         (traffic_generator_driver0_axi4_arready), //   input,    width = 1,                  .arready
		.driver0_axi4_arvalid         (traffic_generator_driver0_axi4_arvalid), //  output,    width = 1,                  .arvalid
		.driver0_axi4_arid            (traffic_generator_driver0_axi4_arid),    //  output,    width = 7,                  .arid
		.driver0_axi4_araddr          (traffic_generator_driver0_axi4_araddr),  //  output,   width = 44,                  .araddr
		.driver0_axi4_arlen           (traffic_generator_driver0_axi4_arlen),   //  output,    width = 8,                  .arlen
		.driver0_axi4_arsize          (traffic_generator_driver0_axi4_arsize),  //  output,    width = 3,                  .arsize
		.driver0_axi4_arburst         (traffic_generator_driver0_axi4_arburst), //  output,    width = 2,                  .arburst
		.driver0_axi4_arlock          (traffic_generator_driver0_axi4_arlock),  //  output,    width = 1,                  .arlock
		.driver0_axi4_arcache         (traffic_generator_driver0_axi4_arcache), //  output,    width = 4,                  .arcache
		.driver0_axi4_arprot          (traffic_generator_driver0_axi4_arprot),  //  output,    width = 3,                  .arprot
		.driver0_axi4_aruser          (traffic_generator_driver0_axi4_aruser),  //  output,    width = 1,                  .aruser
		.driver0_axi4_wready          (traffic_generator_driver0_axi4_wready),  //   input,    width = 1,                  .wready
		.driver0_axi4_wvalid          (traffic_generator_driver0_axi4_wvalid),  //  output,    width = 1,                  .wvalid
		.driver0_axi4_wdata           (traffic_generator_driver0_axi4_wdata),   //  output,  width = 256,                  .wdata
		.driver0_axi4_wstrb           (traffic_generator_driver0_axi4_wstrb),   //  output,   width = 32,                  .wstrb
		.driver0_axi4_wlast           (traffic_generator_driver0_axi4_wlast),   //  output,    width = 1,                  .wlast
		.driver0_axi4_bready          (traffic_generator_driver0_axi4_bready),  //  output,    width = 1,                  .bready
		.driver0_axi4_bvalid          (traffic_generator_driver0_axi4_bvalid),  //   input,    width = 1,                  .bvalid
		.driver0_axi4_bid             (traffic_generator_driver0_axi4_bid),     //   input,    width = 7,                  .bid
		.driver0_axi4_bresp           (traffic_generator_driver0_axi4_bresp),   //   input,    width = 2,                  .bresp
		.driver0_axi4_buser           (traffic_generator_driver0_axi4_buser),   //   input,    width = 1,                  .buser
		.driver0_axi4_rready          (traffic_generator_driver0_axi4_rready),  //  output,    width = 1,                  .rready
		.driver0_axi4_rvalid          (traffic_generator_driver0_axi4_rvalid),  //   input,    width = 1,                  .rvalid
		.driver0_axi4_rid             (traffic_generator_driver0_axi4_rid),     //   input,    width = 7,                  .rid
		.driver0_axi4_rdata           (traffic_generator_driver0_axi4_rdata),   //   input,  width = 256,                  .rdata
		.driver0_axi4_rresp           (traffic_generator_driver0_axi4_rresp),   //   input,    width = 2,                  .rresp
		.driver0_axi4_rlast           (traffic_generator_driver0_axi4_rlast),   //   input,    width = 1,                  .rlast
		.driver0_clk                  (user_pll_outclk0_clk),                   //   input,    width = 1,       driver0_clk.clk
		.driver0_reset_n              (axil_driver_0_cal_done_rst_n_reset)      //   input,    width = 1,     driver0_reset.reset_n
	);

	ed_synth_user_pll user_pll (
		.refclk   (ref_clk_usr_pll_clk),    //   input,  width = 1,  refclk.clk
		.locked   (user_pll_locked_export), //  output,  width = 1,  locked.export
		.rst      (rrip_ninit_done_reset),  //   input,  width = 1,   reset.reset
		.outclk_0 (user_pll_outclk0_clk),   //  output,  width = 1, outclk0.clk
		.outclk_1 (user_pll_outclk1_clk)    //  output,  width = 1, outclk1.clk
	);

	ed_synth_altera_mm_interconnect_1920_lq4iavq mm_interconnect_1 (
		.traffic_generator_driver0_axi4_awid                                             (traffic_generator_driver0_axi4_awid),             //   input,    width = 7,                                            traffic_generator_driver0_axi4.awid
		.traffic_generator_driver0_axi4_awaddr                                           (traffic_generator_driver0_axi4_awaddr),           //   input,   width = 44,                                                                          .awaddr
		.traffic_generator_driver0_axi4_awlen                                            (traffic_generator_driver0_axi4_awlen),            //   input,    width = 8,                                                                          .awlen
		.traffic_generator_driver0_axi4_awsize                                           (traffic_generator_driver0_axi4_awsize),           //   input,    width = 3,                                                                          .awsize
		.traffic_generator_driver0_axi4_awburst                                          (traffic_generator_driver0_axi4_awburst),          //   input,    width = 2,                                                                          .awburst
		.traffic_generator_driver0_axi4_awlock                                           (traffic_generator_driver0_axi4_awlock),           //   input,    width = 1,                                                                          .awlock
		.traffic_generator_driver0_axi4_awcache                                          (traffic_generator_driver0_axi4_awcache),          //   input,    width = 4,                                                                          .awcache
		.traffic_generator_driver0_axi4_awprot                                           (traffic_generator_driver0_axi4_awprot),           //   input,    width = 3,                                                                          .awprot
		.traffic_generator_driver0_axi4_awuser                                           (traffic_generator_driver0_axi4_awuser),           //   input,    width = 1,                                                                          .awuser
		.traffic_generator_driver0_axi4_awvalid                                          (traffic_generator_driver0_axi4_awvalid),          //   input,    width = 1,                                                                          .awvalid
		.traffic_generator_driver0_axi4_awready                                          (traffic_generator_driver0_axi4_awready),          //  output,    width = 1,                                                                          .awready
		.traffic_generator_driver0_axi4_wdata                                            (traffic_generator_driver0_axi4_wdata),            //   input,  width = 256,                                                                          .wdata
		.traffic_generator_driver0_axi4_wstrb                                            (traffic_generator_driver0_axi4_wstrb),            //   input,   width = 32,                                                                          .wstrb
		.traffic_generator_driver0_axi4_wlast                                            (traffic_generator_driver0_axi4_wlast),            //   input,    width = 1,                                                                          .wlast
		.traffic_generator_driver0_axi4_wvalid                                           (traffic_generator_driver0_axi4_wvalid),           //   input,    width = 1,                                                                          .wvalid
		.traffic_generator_driver0_axi4_wready                                           (traffic_generator_driver0_axi4_wready),           //  output,    width = 1,                                                                          .wready
		.traffic_generator_driver0_axi4_bid                                              (traffic_generator_driver0_axi4_bid),              //  output,    width = 7,                                                                          .bid
		.traffic_generator_driver0_axi4_bresp                                            (traffic_generator_driver0_axi4_bresp),            //  output,    width = 2,                                                                          .bresp
		.traffic_generator_driver0_axi4_buser                                            (traffic_generator_driver0_axi4_buser),            //  output,    width = 1,                                                                          .buser
		.traffic_generator_driver0_axi4_bvalid                                           (traffic_generator_driver0_axi4_bvalid),           //  output,    width = 1,                                                                          .bvalid
		.traffic_generator_driver0_axi4_bready                                           (traffic_generator_driver0_axi4_bready),           //   input,    width = 1,                                                                          .bready
		.traffic_generator_driver0_axi4_arid                                             (traffic_generator_driver0_axi4_arid),             //   input,    width = 7,                                                                          .arid
		.traffic_generator_driver0_axi4_araddr                                           (traffic_generator_driver0_axi4_araddr),           //   input,   width = 44,                                                                          .araddr
		.traffic_generator_driver0_axi4_arlen                                            (traffic_generator_driver0_axi4_arlen),            //   input,    width = 8,                                                                          .arlen
		.traffic_generator_driver0_axi4_arsize                                           (traffic_generator_driver0_axi4_arsize),           //   input,    width = 3,                                                                          .arsize
		.traffic_generator_driver0_axi4_arburst                                          (traffic_generator_driver0_axi4_arburst),          //   input,    width = 2,                                                                          .arburst
		.traffic_generator_driver0_axi4_arlock                                           (traffic_generator_driver0_axi4_arlock),           //   input,    width = 1,                                                                          .arlock
		.traffic_generator_driver0_axi4_arcache                                          (traffic_generator_driver0_axi4_arcache),          //   input,    width = 4,                                                                          .arcache
		.traffic_generator_driver0_axi4_arprot                                           (traffic_generator_driver0_axi4_arprot),           //   input,    width = 3,                                                                          .arprot
		.traffic_generator_driver0_axi4_aruser                                           (traffic_generator_driver0_axi4_aruser),           //   input,    width = 1,                                                                          .aruser
		.traffic_generator_driver0_axi4_arvalid                                          (traffic_generator_driver0_axi4_arvalid),          //   input,    width = 1,                                                                          .arvalid
		.traffic_generator_driver0_axi4_arready                                          (traffic_generator_driver0_axi4_arready),          //  output,    width = 1,                                                                          .arready
		.traffic_generator_driver0_axi4_rid                                              (traffic_generator_driver0_axi4_rid),              //  output,    width = 7,                                                                          .rid
		.traffic_generator_driver0_axi4_rdata                                            (traffic_generator_driver0_axi4_rdata),            //  output,  width = 256,                                                                          .rdata
		.traffic_generator_driver0_axi4_rresp                                            (traffic_generator_driver0_axi4_rresp),            //  output,    width = 2,                                                                          .rresp
		.traffic_generator_driver0_axi4_rlast                                            (traffic_generator_driver0_axi4_rlast),            //  output,    width = 1,                                                                          .rlast
		.traffic_generator_driver0_axi4_rvalid                                           (traffic_generator_driver0_axi4_rvalid),           //  output,    width = 1,                                                                          .rvalid
		.traffic_generator_driver0_axi4_rready                                           (traffic_generator_driver0_axi4_rready),           //   input,    width = 1,                                                                          .rready
		.perf_monch0_sink_axi4_awid                                                      (mm_interconnect_1_perf_monch0_sink_axi4_awid),    //  output,    width = 7,                                                     perf_monch0_sink_axi4.awid
		.perf_monch0_sink_axi4_awaddr                                                    (mm_interconnect_1_perf_monch0_sink_axi4_awaddr),  //  output,   width = 44,                                                                          .awaddr
		.perf_monch0_sink_axi4_awlen                                                     (mm_interconnect_1_perf_monch0_sink_axi4_awlen),   //  output,    width = 8,                                                                          .awlen
		.perf_monch0_sink_axi4_awsize                                                    (mm_interconnect_1_perf_monch0_sink_axi4_awsize),  //  output,    width = 3,                                                                          .awsize
		.perf_monch0_sink_axi4_awburst                                                   (mm_interconnect_1_perf_monch0_sink_axi4_awburst), //  output,    width = 2,                                                                          .awburst
		.perf_monch0_sink_axi4_awlock                                                    (mm_interconnect_1_perf_monch0_sink_axi4_awlock),  //  output,    width = 1,                                                                          .awlock
		.perf_monch0_sink_axi4_awcache                                                   (mm_interconnect_1_perf_monch0_sink_axi4_awcache), //  output,    width = 4,                                                                          .awcache
		.perf_monch0_sink_axi4_awprot                                                    (mm_interconnect_1_perf_monch0_sink_axi4_awprot),  //  output,    width = 3,                                                                          .awprot
		.perf_monch0_sink_axi4_awuser                                                    (mm_interconnect_1_perf_monch0_sink_axi4_awuser),  //  output,    width = 1,                                                                          .awuser
		.perf_monch0_sink_axi4_awqos                                                     (mm_interconnect_1_perf_monch0_sink_axi4_awqos),   //  output,    width = 4,                                                                          .awqos
		.perf_monch0_sink_axi4_awvalid                                                   (mm_interconnect_1_perf_monch0_sink_axi4_awvalid), //  output,    width = 1,                                                                          .awvalid
		.perf_monch0_sink_axi4_awready                                                   (mm_interconnect_1_perf_monch0_sink_axi4_awready), //   input,    width = 1,                                                                          .awready
		.perf_monch0_sink_axi4_wdata                                                     (mm_interconnect_1_perf_monch0_sink_axi4_wdata),   //  output,  width = 256,                                                                          .wdata
		.perf_monch0_sink_axi4_wstrb                                                     (mm_interconnect_1_perf_monch0_sink_axi4_wstrb),   //  output,   width = 32,                                                                          .wstrb
		.perf_monch0_sink_axi4_wlast                                                     (mm_interconnect_1_perf_monch0_sink_axi4_wlast),   //  output,    width = 1,                                                                          .wlast
		.perf_monch0_sink_axi4_wvalid                                                    (mm_interconnect_1_perf_monch0_sink_axi4_wvalid),  //  output,    width = 1,                                                                          .wvalid
		.perf_monch0_sink_axi4_wuser                                                     (mm_interconnect_1_perf_monch0_sink_axi4_wuser),   //  output,    width = 1,                                                                          .wuser
		.perf_monch0_sink_axi4_wready                                                    (mm_interconnect_1_perf_monch0_sink_axi4_wready),  //   input,    width = 1,                                                                          .wready
		.perf_monch0_sink_axi4_bid                                                       (mm_interconnect_1_perf_monch0_sink_axi4_bid),     //   input,    width = 7,                                                                          .bid
		.perf_monch0_sink_axi4_bresp                                                     (mm_interconnect_1_perf_monch0_sink_axi4_bresp),   //   input,    width = 2,                                                                          .bresp
		.perf_monch0_sink_axi4_buser                                                     (mm_interconnect_1_perf_monch0_sink_axi4_buser),   //   input,    width = 1,                                                                          .buser
		.perf_monch0_sink_axi4_bvalid                                                    (mm_interconnect_1_perf_monch0_sink_axi4_bvalid),  //   input,    width = 1,                                                                          .bvalid
		.perf_monch0_sink_axi4_bready                                                    (mm_interconnect_1_perf_monch0_sink_axi4_bready),  //  output,    width = 1,                                                                          .bready
		.perf_monch0_sink_axi4_arid                                                      (mm_interconnect_1_perf_monch0_sink_axi4_arid),    //  output,    width = 7,                                                                          .arid
		.perf_monch0_sink_axi4_araddr                                                    (mm_interconnect_1_perf_monch0_sink_axi4_araddr),  //  output,   width = 44,                                                                          .araddr
		.perf_monch0_sink_axi4_arlen                                                     (mm_interconnect_1_perf_monch0_sink_axi4_arlen),   //  output,    width = 8,                                                                          .arlen
		.perf_monch0_sink_axi4_arsize                                                    (mm_interconnect_1_perf_monch0_sink_axi4_arsize),  //  output,    width = 3,                                                                          .arsize
		.perf_monch0_sink_axi4_arburst                                                   (mm_interconnect_1_perf_monch0_sink_axi4_arburst), //  output,    width = 2,                                                                          .arburst
		.perf_monch0_sink_axi4_arlock                                                    (mm_interconnect_1_perf_monch0_sink_axi4_arlock),  //  output,    width = 1,                                                                          .arlock
		.perf_monch0_sink_axi4_arcache                                                   (mm_interconnect_1_perf_monch0_sink_axi4_arcache), //  output,    width = 4,                                                                          .arcache
		.perf_monch0_sink_axi4_arprot                                                    (mm_interconnect_1_perf_monch0_sink_axi4_arprot),  //  output,    width = 3,                                                                          .arprot
		.perf_monch0_sink_axi4_aruser                                                    (mm_interconnect_1_perf_monch0_sink_axi4_aruser),  //  output,    width = 1,                                                                          .aruser
		.perf_monch0_sink_axi4_arqos                                                     (mm_interconnect_1_perf_monch0_sink_axi4_arqos),   //  output,    width = 4,                                                                          .arqos
		.perf_monch0_sink_axi4_arvalid                                                   (mm_interconnect_1_perf_monch0_sink_axi4_arvalid), //  output,    width = 1,                                                                          .arvalid
		.perf_monch0_sink_axi4_arready                                                   (mm_interconnect_1_perf_monch0_sink_axi4_arready), //   input,    width = 1,                                                                          .arready
		.perf_monch0_sink_axi4_rid                                                       (mm_interconnect_1_perf_monch0_sink_axi4_rid),     //   input,    width = 7,                                                                          .rid
		.perf_monch0_sink_axi4_rdata                                                     (mm_interconnect_1_perf_monch0_sink_axi4_rdata),   //   input,  width = 256,                                                                          .rdata
		.perf_monch0_sink_axi4_rresp                                                     (mm_interconnect_1_perf_monch0_sink_axi4_rresp),   //   input,    width = 2,                                                                          .rresp
		.perf_monch0_sink_axi4_rlast                                                     (mm_interconnect_1_perf_monch0_sink_axi4_rlast),   //   input,    width = 1,                                                                          .rlast
		.perf_monch0_sink_axi4_rvalid                                                    (mm_interconnect_1_perf_monch0_sink_axi4_rvalid),  //   input,    width = 1,                                                                          .rvalid
		.perf_monch0_sink_axi4_rready                                                    (mm_interconnect_1_perf_monch0_sink_axi4_rready),  //  output,    width = 1,                                                                          .rready
		.perf_monch0_sink_axi4_ruser                                                     (mm_interconnect_1_perf_monch0_sink_axi4_ruser),   //   input,    width = 1,                                                                          .ruser
		.traffic_generator_driver0_axi4_translator_clk_reset_reset_bridge_in_reset_reset (rst_controller_002_reset_out_reset),              //   input,    width = 1, traffic_generator_driver0_axi4_translator_clk_reset_reset_bridge_in_reset.reset
		.user_pll_outclk0_clk                                                            (user_pll_outclk0_clk)                             //   input,    width = 1,                                                          user_pll_outclk0.clk
	);

	ed_synth_altera_mm_interconnect_1920_pmkc4by mm_interconnect_4 (
		.perf_monch0_src_axi4_awid                                             (perf_monch0_src_axi4_awid),                  //   input,    width = 7,                                            perf_monch0_src_axi4.awid
		.perf_monch0_src_axi4_awaddr                                           (perf_monch0_src_axi4_awaddr),                //   input,   width = 44,                                                                .awaddr
		.perf_monch0_src_axi4_awlen                                            (perf_monch0_src_axi4_awlen),                 //   input,    width = 8,                                                                .awlen
		.perf_monch0_src_axi4_awsize                                           (perf_monch0_src_axi4_awsize),                //   input,    width = 3,                                                                .awsize
		.perf_monch0_src_axi4_awburst                                          (perf_monch0_src_axi4_awburst),               //   input,    width = 2,                                                                .awburst
		.perf_monch0_src_axi4_awlock                                           (perf_monch0_src_axi4_awlock),                //   input,    width = 1,                                                                .awlock
		.perf_monch0_src_axi4_awcache                                          (perf_monch0_src_axi4_awcache),               //   input,    width = 4,                                                                .awcache
		.perf_monch0_src_axi4_awprot                                           (perf_monch0_src_axi4_awprot),                //   input,    width = 3,                                                                .awprot
		.perf_monch0_src_axi4_awuser                                           (perf_monch0_src_axi4_awuser),                //   input,    width = 1,                                                                .awuser
		.perf_monch0_src_axi4_awqos                                            (perf_monch0_src_axi4_awqos),                 //   input,    width = 4,                                                                .awqos
		.perf_monch0_src_axi4_awvalid                                          (perf_monch0_src_axi4_awvalid),               //   input,    width = 1,                                                                .awvalid
		.perf_monch0_src_axi4_awready                                          (perf_monch0_src_axi4_awready),               //  output,    width = 1,                                                                .awready
		.perf_monch0_src_axi4_wdata                                            (perf_monch0_src_axi4_wdata),                 //   input,  width = 256,                                                                .wdata
		.perf_monch0_src_axi4_wstrb                                            (perf_monch0_src_axi4_wstrb),                 //   input,   width = 32,                                                                .wstrb
		.perf_monch0_src_axi4_wlast                                            (perf_monch0_src_axi4_wlast),                 //   input,    width = 1,                                                                .wlast
		.perf_monch0_src_axi4_wvalid                                           (perf_monch0_src_axi4_wvalid),                //   input,    width = 1,                                                                .wvalid
		.perf_monch0_src_axi4_wuser                                            (perf_monch0_src_axi4_wuser),                 //   input,    width = 1,                                                                .wuser
		.perf_monch0_src_axi4_wready                                           (perf_monch0_src_axi4_wready),                //  output,    width = 1,                                                                .wready
		.perf_monch0_src_axi4_bid                                              (perf_monch0_src_axi4_bid),                   //  output,    width = 7,                                                                .bid
		.perf_monch0_src_axi4_bresp                                            (perf_monch0_src_axi4_bresp),                 //  output,    width = 2,                                                                .bresp
		.perf_monch0_src_axi4_buser                                            (perf_monch0_src_axi4_buser),                 //  output,    width = 1,                                                                .buser
		.perf_monch0_src_axi4_bvalid                                           (perf_monch0_src_axi4_bvalid),                //  output,    width = 1,                                                                .bvalid
		.perf_monch0_src_axi4_bready                                           (perf_monch0_src_axi4_bready),                //   input,    width = 1,                                                                .bready
		.perf_monch0_src_axi4_arid                                             (perf_monch0_src_axi4_arid),                  //   input,    width = 7,                                                                .arid
		.perf_monch0_src_axi4_araddr                                           (perf_monch0_src_axi4_araddr),                //   input,   width = 44,                                                                .araddr
		.perf_monch0_src_axi4_arlen                                            (perf_monch0_src_axi4_arlen),                 //   input,    width = 8,                                                                .arlen
		.perf_monch0_src_axi4_arsize                                           (perf_monch0_src_axi4_arsize),                //   input,    width = 3,                                                                .arsize
		.perf_monch0_src_axi4_arburst                                          (perf_monch0_src_axi4_arburst),               //   input,    width = 2,                                                                .arburst
		.perf_monch0_src_axi4_arlock                                           (perf_monch0_src_axi4_arlock),                //   input,    width = 1,                                                                .arlock
		.perf_monch0_src_axi4_arcache                                          (perf_monch0_src_axi4_arcache),               //   input,    width = 4,                                                                .arcache
		.perf_monch0_src_axi4_arprot                                           (perf_monch0_src_axi4_arprot),                //   input,    width = 3,                                                                .arprot
		.perf_monch0_src_axi4_aruser                                           (perf_monch0_src_axi4_aruser),                //   input,    width = 1,                                                                .aruser
		.perf_monch0_src_axi4_arqos                                            (perf_monch0_src_axi4_arqos),                 //   input,    width = 4,                                                                .arqos
		.perf_monch0_src_axi4_arvalid                                          (perf_monch0_src_axi4_arvalid),               //   input,    width = 1,                                                                .arvalid
		.perf_monch0_src_axi4_arready                                          (perf_monch0_src_axi4_arready),               //  output,    width = 1,                                                                .arready
		.perf_monch0_src_axi4_rid                                              (perf_monch0_src_axi4_rid),                   //  output,    width = 7,                                                                .rid
		.perf_monch0_src_axi4_rdata                                            (perf_monch0_src_axi4_rdata),                 //  output,  width = 256,                                                                .rdata
		.perf_monch0_src_axi4_rresp                                            (perf_monch0_src_axi4_rresp),                 //  output,    width = 2,                                                                .rresp
		.perf_monch0_src_axi4_rlast                                            (perf_monch0_src_axi4_rlast),                 //  output,    width = 1,                                                                .rlast
		.perf_monch0_src_axi4_rvalid                                           (perf_monch0_src_axi4_rvalid),                //  output,    width = 1,                                                                .rvalid
		.perf_monch0_src_axi4_rready                                           (perf_monch0_src_axi4_rready),                //   input,    width = 1,                                                                .rready
		.perf_monch0_src_axi4_ruser                                            (perf_monch0_src_axi4_ruser),                 //  output,    width = 1,                                                                .ruser
		.noc_init_s0_axi4_awid                                                 (mm_interconnect_4_noc_init_s0_axi4_awid),    //  output,    width = 7,                                                noc_init_s0_axi4.awid
		.noc_init_s0_axi4_awaddr                                               (mm_interconnect_4_noc_init_s0_axi4_awaddr),  //  output,   width = 44,                                                                .awaddr
		.noc_init_s0_axi4_awlen                                                (mm_interconnect_4_noc_init_s0_axi4_awlen),   //  output,    width = 8,                                                                .awlen
		.noc_init_s0_axi4_awsize                                               (mm_interconnect_4_noc_init_s0_axi4_awsize),  //  output,    width = 3,                                                                .awsize
		.noc_init_s0_axi4_awburst                                              (mm_interconnect_4_noc_init_s0_axi4_awburst), //  output,    width = 2,                                                                .awburst
		.noc_init_s0_axi4_awlock                                               (mm_interconnect_4_noc_init_s0_axi4_awlock),  //  output,    width = 1,                                                                .awlock
		.noc_init_s0_axi4_awprot                                               (mm_interconnect_4_noc_init_s0_axi4_awprot),  //  output,    width = 3,                                                                .awprot
		.noc_init_s0_axi4_awuser                                               (mm_interconnect_4_noc_init_s0_axi4_awuser),  //  output,   width = 11,                                                                .awuser
		.noc_init_s0_axi4_awqos                                                (mm_interconnect_4_noc_init_s0_axi4_awqos),   //  output,    width = 4,                                                                .awqos
		.noc_init_s0_axi4_awvalid                                              (mm_interconnect_4_noc_init_s0_axi4_awvalid), //  output,    width = 1,                                                                .awvalid
		.noc_init_s0_axi4_awready                                              (mm_interconnect_4_noc_init_s0_axi4_awready), //   input,    width = 1,                                                                .awready
		.noc_init_s0_axi4_wdata                                                (mm_interconnect_4_noc_init_s0_axi4_wdata),   //  output,  width = 256,                                                                .wdata
		.noc_init_s0_axi4_wstrb                                                (mm_interconnect_4_noc_init_s0_axi4_wstrb),   //  output,   width = 32,                                                                .wstrb
		.noc_init_s0_axi4_wlast                                                (mm_interconnect_4_noc_init_s0_axi4_wlast),   //  output,    width = 1,                                                                .wlast
		.noc_init_s0_axi4_wvalid                                               (mm_interconnect_4_noc_init_s0_axi4_wvalid),  //  output,    width = 1,                                                                .wvalid
		.noc_init_s0_axi4_wuser                                                (mm_interconnect_4_noc_init_s0_axi4_wuser),   //  output,   width = 32,                                                                .wuser
		.noc_init_s0_axi4_wready                                               (mm_interconnect_4_noc_init_s0_axi4_wready),  //   input,    width = 1,                                                                .wready
		.noc_init_s0_axi4_bid                                                  (mm_interconnect_4_noc_init_s0_axi4_bid),     //   input,    width = 7,                                                                .bid
		.noc_init_s0_axi4_bresp                                                (mm_interconnect_4_noc_init_s0_axi4_bresp),   //   input,    width = 2,                                                                .bresp
		.noc_init_s0_axi4_bvalid                                               (mm_interconnect_4_noc_init_s0_axi4_bvalid),  //   input,    width = 1,                                                                .bvalid
		.noc_init_s0_axi4_bready                                               (mm_interconnect_4_noc_init_s0_axi4_bready),  //  output,    width = 1,                                                                .bready
		.noc_init_s0_axi4_arid                                                 (mm_interconnect_4_noc_init_s0_axi4_arid),    //  output,    width = 7,                                                                .arid
		.noc_init_s0_axi4_araddr                                               (mm_interconnect_4_noc_init_s0_axi4_araddr),  //  output,   width = 44,                                                                .araddr
		.noc_init_s0_axi4_arlen                                                (mm_interconnect_4_noc_init_s0_axi4_arlen),   //  output,    width = 8,                                                                .arlen
		.noc_init_s0_axi4_arsize                                               (mm_interconnect_4_noc_init_s0_axi4_arsize),  //  output,    width = 3,                                                                .arsize
		.noc_init_s0_axi4_arburst                                              (mm_interconnect_4_noc_init_s0_axi4_arburst), //  output,    width = 2,                                                                .arburst
		.noc_init_s0_axi4_arlock                                               (mm_interconnect_4_noc_init_s0_axi4_arlock),  //  output,    width = 1,                                                                .arlock
		.noc_init_s0_axi4_arprot                                               (mm_interconnect_4_noc_init_s0_axi4_arprot),  //  output,    width = 3,                                                                .arprot
		.noc_init_s0_axi4_aruser                                               (mm_interconnect_4_noc_init_s0_axi4_aruser),  //  output,   width = 11,                                                                .aruser
		.noc_init_s0_axi4_arqos                                                (mm_interconnect_4_noc_init_s0_axi4_arqos),   //  output,    width = 4,                                                                .arqos
		.noc_init_s0_axi4_arvalid                                              (mm_interconnect_4_noc_init_s0_axi4_arvalid), //  output,    width = 1,                                                                .arvalid
		.noc_init_s0_axi4_arready                                              (mm_interconnect_4_noc_init_s0_axi4_arready), //   input,    width = 1,                                                                .arready
		.noc_init_s0_axi4_rid                                                  (mm_interconnect_4_noc_init_s0_axi4_rid),     //   input,    width = 7,                                                                .rid
		.noc_init_s0_axi4_rdata                                                (mm_interconnect_4_noc_init_s0_axi4_rdata),   //   input,  width = 256,                                                                .rdata
		.noc_init_s0_axi4_rresp                                                (mm_interconnect_4_noc_init_s0_axi4_rresp),   //   input,    width = 2,                                                                .rresp
		.noc_init_s0_axi4_rlast                                                (mm_interconnect_4_noc_init_s0_axi4_rlast),   //   input,    width = 1,                                                                .rlast
		.noc_init_s0_axi4_rvalid                                               (mm_interconnect_4_noc_init_s0_axi4_rvalid),  //   input,    width = 1,                                                                .rvalid
		.noc_init_s0_axi4_rready                                               (mm_interconnect_4_noc_init_s0_axi4_rready),  //  output,    width = 1,                                                                .rready
		.noc_init_s0_axi4_ruser                                                (mm_interconnect_4_noc_init_s0_axi4_ruser),   //   input,   width = 32,                                                                .ruser
		.perf_monch0_src_axi4_translator_clk_reset_reset_bridge_in_reset_reset (rst_controller_002_reset_out_reset),         //   input,    width = 1, perf_monch0_src_axi4_translator_clk_reset_reset_bridge_in_reset.reset
		.noc_init_s0_axi4_translator_clk_reset_reset_bridge_in_reset_reset     (rst_controller_003_reset_out_reset),         //   input,    width = 1,     noc_init_s0_axi4_translator_clk_reset_reset_bridge_in_reset.reset
		.user_pll_outclk0_clk                                                  (user_pll_outclk0_clk)                        //   input,    width = 1,                                                user_pll_outclk0.clk
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_handler_reset_n_out_reset), //   input,  width = 1, reset_in0.reset
		.clk            (user_pll_outclk1_clk),             //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_reset_out_reset),   //  output,  width = 1, reset_out.reset
		.reset_req      (),                                 // (terminated),                       
		.reset_req_in0  (1'b0),                             // (terminated),                       
		.reset_in1      (1'b0),                             // (terminated),                       
		.reset_req_in1  (1'b0),                             // (terminated),                       
		.reset_in2      (1'b0),                             // (terminated),                       
		.reset_req_in2  (1'b0),                             // (terminated),                       
		.reset_in3      (1'b0),                             // (terminated),                       
		.reset_req_in3  (1'b0),                             // (terminated),                       
		.reset_in4      (1'b0),                             // (terminated),                       
		.reset_req_in4  (1'b0),                             // (terminated),                       
		.reset_in5      (1'b0),                             // (terminated),                       
		.reset_req_in5  (1'b0),                             // (terminated),                       
		.reset_in6      (1'b0),                             // (terminated),                       
		.reset_req_in6  (1'b0),                             // (terminated),                       
		.reset_in7      (1'b0),                             // (terminated),                       
		.reset_req_in7  (1'b0),                             // (terminated),                       
		.reset_in8      (1'b0),                             // (terminated),                       
		.reset_req_in8  (1'b0),                             // (terminated),                       
		.reset_in9      (1'b0),                             // (terminated),                       
		.reset_req_in9  (1'b0),                             // (terminated),                       
		.reset_in10     (1'b0),                             // (terminated),                       
		.reset_req_in10 (1'b0),                             // (terminated),                       
		.reset_in11     (1'b0),                             // (terminated),                       
		.reset_req_in11 (1'b0),                             // (terminated),                       
		.reset_in12     (1'b0),                             // (terminated),                       
		.reset_req_in12 (1'b0),                             // (terminated),                       
		.reset_in13     (1'b0),                             // (terminated),                       
		.reset_req_in13 (1'b0),                             // (terminated),                       
		.reset_in14     (1'b0),                             // (terminated),                       
		.reset_req_in14 (1'b0),                             // (terminated),                       
		.reset_in15     (1'b0),                             // (terminated),                       
		.reset_req_in15 (1'b0)                              // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_handler_reset_n_out_reset),   //   input,  width = 1, reset_in0.reset
		.clk            (user_pll_outclk0_clk),               //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~axil_driver_0_cal_done_rst_n_reset), //   input,  width = 1, reset_in0.reset
		.clk            (user_pll_outclk0_clk),                //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),  //  output,  width = 1, reset_out.reset
		.reset_req      (),                                    // (terminated),                       
		.reset_req_in0  (1'b0),                                // (terminated),                       
		.reset_in1      (1'b0),                                // (terminated),                       
		.reset_req_in1  (1'b0),                                // (terminated),                       
		.reset_in2      (1'b0),                                // (terminated),                       
		.reset_req_in2  (1'b0),                                // (terminated),                       
		.reset_in3      (1'b0),                                // (terminated),                       
		.reset_req_in3  (1'b0),                                // (terminated),                       
		.reset_in4      (1'b0),                                // (terminated),                       
		.reset_req_in4  (1'b0),                                // (terminated),                       
		.reset_in5      (1'b0),                                // (terminated),                       
		.reset_req_in5  (1'b0),                                // (terminated),                       
		.reset_in6      (1'b0),                                // (terminated),                       
		.reset_req_in6  (1'b0),                                // (terminated),                       
		.reset_in7      (1'b0),                                // (terminated),                       
		.reset_req_in7  (1'b0),                                // (terminated),                       
		.reset_in8      (1'b0),                                // (terminated),                       
		.reset_req_in8  (1'b0),                                // (terminated),                       
		.reset_in9      (1'b0),                                // (terminated),                       
		.reset_req_in9  (1'b0),                                // (terminated),                       
		.reset_in10     (1'b0),                                // (terminated),                       
		.reset_req_in10 (1'b0),                                // (terminated),                       
		.reset_in11     (1'b0),                                // (terminated),                       
		.reset_req_in11 (1'b0),                                // (terminated),                       
		.reset_in12     (1'b0),                                // (terminated),                       
		.reset_req_in12 (1'b0),                                // (terminated),                       
		.reset_in13     (1'b0),                                // (terminated),                       
		.reset_req_in13 (1'b0),                                // (terminated),                       
		.reset_in14     (1'b0),                                // (terminated),                       
		.reset_req_in14 (1'b0),                                // (terminated),                       
		.reset_in15     (1'b0),                                // (terminated),                       
		.reset_req_in15 (1'b0)                                 // (terminated),                       
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("both"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~reset_handler_reset_n_out_reset),   //   input,  width = 1, reset_in0.reset
		.clk            (user_pll_outclk0_clk),               //   input,  width = 1,       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset), //  output,  width = 1, reset_out.reset
		.reset_req      (),                                   // (terminated),                       
		.reset_req_in0  (1'b0),                               // (terminated),                       
		.reset_in1      (1'b0),                               // (terminated),                       
		.reset_req_in1  (1'b0),                               // (terminated),                       
		.reset_in2      (1'b0),                               // (terminated),                       
		.reset_req_in2  (1'b0),                               // (terminated),                       
		.reset_in3      (1'b0),                               // (terminated),                       
		.reset_req_in3  (1'b0),                               // (terminated),                       
		.reset_in4      (1'b0),                               // (terminated),                       
		.reset_req_in4  (1'b0),                               // (terminated),                       
		.reset_in5      (1'b0),                               // (terminated),                       
		.reset_req_in5  (1'b0),                               // (terminated),                       
		.reset_in6      (1'b0),                               // (terminated),                       
		.reset_req_in6  (1'b0),                               // (terminated),                       
		.reset_in7      (1'b0),                               // (terminated),                       
		.reset_req_in7  (1'b0),                               // (terminated),                       
		.reset_in8      (1'b0),                               // (terminated),                       
		.reset_req_in8  (1'b0),                               // (terminated),                       
		.reset_in9      (1'b0),                               // (terminated),                       
		.reset_req_in9  (1'b0),                               // (terminated),                       
		.reset_in10     (1'b0),                               // (terminated),                       
		.reset_req_in10 (1'b0),                               // (terminated),                       
		.reset_in11     (1'b0),                               // (terminated),                       
		.reset_req_in11 (1'b0),                               // (terminated),                       
		.reset_in12     (1'b0),                               // (terminated),                       
		.reset_req_in12 (1'b0),                               // (terminated),                       
		.reset_in13     (1'b0),                               // (terminated),                       
		.reset_req_in13 (1'b0),                               // (terminated),                       
		.reset_in14     (1'b0),                               // (terminated),                       
		.reset_req_in14 (1'b0),                               // (terminated),                       
		.reset_in15     (1'b0),                               // (terminated),                       
		.reset_req_in15 (1'b0)                                // (terminated),                       
	);

endmodule
