	component ed_synth_emif_ph2_0 is
		port (
			ref_clk_0     : in    std_logic                     := 'X';             -- clk
			mem_ck_t_0    : out   std_logic;                                        -- mem_ck_t
			mem_ck_c_0    : out   std_logic;                                        -- mem_ck_c
			mem_reset_n_0 : out   std_logic;                                        -- mem_reset_n
			mem_cs_n_0    : out   std_logic;                                        -- mem_cs_n
			mem_ca_0      : out   std_logic_vector(12 downto 0);                    -- mem_ca
			mem_dq_0      : inout std_logic_vector(31 downto 0) := (others => 'X'); -- mem_dq
			mem_dqs_t_0   : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_t
			mem_dqs_c_0   : inout std_logic_vector(3 downto 0)  := (others => 'X'); -- mem_dqs_c
			mem_dm_n_0    : out   std_logic_vector(3 downto 0);                     -- mem_dm_n
			mem_alert_n_0 : in    std_logic                     := 'X';             -- mem_alert_n
			oct_rzqin_0   : in    std_logic                     := 'X'              -- oct_rzqin
		);
	end component ed_synth_emif_ph2_0;

	u0 : component ed_synth_emif_ph2_0
		port map (
			ref_clk_0     => CONNECTED_TO_ref_clk_0,     -- ref_clk_0.clk
			mem_ck_t_0    => CONNECTED_TO_mem_ck_t_0,    --     mem_0.mem_ck_t
			mem_ck_c_0    => CONNECTED_TO_mem_ck_c_0,    --          .mem_ck_c
			mem_reset_n_0 => CONNECTED_TO_mem_reset_n_0, --          .mem_reset_n
			mem_cs_n_0    => CONNECTED_TO_mem_cs_n_0,    --          .mem_cs_n
			mem_ca_0      => CONNECTED_TO_mem_ca_0,      --          .mem_ca
			mem_dq_0      => CONNECTED_TO_mem_dq_0,      --          .mem_dq
			mem_dqs_t_0   => CONNECTED_TO_mem_dqs_t_0,   --          .mem_dqs_t
			mem_dqs_c_0   => CONNECTED_TO_mem_dqs_c_0,   --          .mem_dqs_c
			mem_dm_n_0    => CONNECTED_TO_mem_dm_n_0,    --          .mem_dm_n
			mem_alert_n_0 => CONNECTED_TO_mem_alert_n_0, --          .mem_alert_n
			oct_rzqin_0   => CONNECTED_TO_oct_rzqin_0    --     oct_0.oct_rzqin
		);

