	component ed_synth_noc_init_lite_0 is
		port (
			s0_axi4lite_awaddr  : in  std_logic_vector(43 downto 0) := (others => 'X'); -- awaddr
			s0_axi4lite_awvalid : in  std_logic                     := 'X';             -- awvalid
			s0_axi4lite_awready : out std_logic;                                        -- awready
			s0_axi4lite_wdata   : in  std_logic_vector(31 downto 0) := (others => 'X'); -- wdata
			s0_axi4lite_wstrb   : in  std_logic_vector(3 downto 0)  := (others => 'X'); -- wstrb
			s0_axi4lite_wvalid  : in  std_logic                     := 'X';             -- wvalid
			s0_axi4lite_wready  : out std_logic;                                        -- wready
			s0_axi4lite_bresp   : out std_logic_vector(1 downto 0);                     -- bresp
			s0_axi4lite_bvalid  : out std_logic;                                        -- bvalid
			s0_axi4lite_bready  : in  std_logic                     := 'X';             -- bready
			s0_axi4lite_araddr  : in  std_logic_vector(43 downto 0) := (others => 'X'); -- araddr
			s0_axi4lite_arvalid : in  std_logic                     := 'X';             -- arvalid
			s0_axi4lite_arready : out std_logic;                                        -- arready
			s0_axi4lite_rdata   : out std_logic_vector(31 downto 0);                    -- rdata
			s0_axi4lite_rresp   : out std_logic_vector(1 downto 0);                     -- rresp
			s0_axi4lite_rvalid  : out std_logic;                                        -- rvalid
			s0_axi4lite_rready  : in  std_logic                     := 'X';             -- rready
			s0_axi4lite_awprot  : in  std_logic_vector(2 downto 0)  := (others => 'X'); -- awprot
			s0_axi4lite_arprot  : in  std_logic_vector(2 downto 0)  := (others => 'X'); -- arprot
			s_axi4lite_aclk     : in  std_logic                     := 'X';             -- clk
			s_axi4lite_aresetn  : in  std_logic                     := 'X'              -- reset_n
		);
	end component ed_synth_noc_init_lite_0;

	u0 : component ed_synth_noc_init_lite_0
		port map (
			s0_axi4lite_awaddr  => CONNECTED_TO_s0_axi4lite_awaddr,  --        s0_axi4lite.awaddr
			s0_axi4lite_awvalid => CONNECTED_TO_s0_axi4lite_awvalid, --                   .awvalid
			s0_axi4lite_awready => CONNECTED_TO_s0_axi4lite_awready, --                   .awready
			s0_axi4lite_wdata   => CONNECTED_TO_s0_axi4lite_wdata,   --                   .wdata
			s0_axi4lite_wstrb   => CONNECTED_TO_s0_axi4lite_wstrb,   --                   .wstrb
			s0_axi4lite_wvalid  => CONNECTED_TO_s0_axi4lite_wvalid,  --                   .wvalid
			s0_axi4lite_wready  => CONNECTED_TO_s0_axi4lite_wready,  --                   .wready
			s0_axi4lite_bresp   => CONNECTED_TO_s0_axi4lite_bresp,   --                   .bresp
			s0_axi4lite_bvalid  => CONNECTED_TO_s0_axi4lite_bvalid,  --                   .bvalid
			s0_axi4lite_bready  => CONNECTED_TO_s0_axi4lite_bready,  --                   .bready
			s0_axi4lite_araddr  => CONNECTED_TO_s0_axi4lite_araddr,  --                   .araddr
			s0_axi4lite_arvalid => CONNECTED_TO_s0_axi4lite_arvalid, --                   .arvalid
			s0_axi4lite_arready => CONNECTED_TO_s0_axi4lite_arready, --                   .arready
			s0_axi4lite_rdata   => CONNECTED_TO_s0_axi4lite_rdata,   --                   .rdata
			s0_axi4lite_rresp   => CONNECTED_TO_s0_axi4lite_rresp,   --                   .rresp
			s0_axi4lite_rvalid  => CONNECTED_TO_s0_axi4lite_rvalid,  --                   .rvalid
			s0_axi4lite_rready  => CONNECTED_TO_s0_axi4lite_rready,  --                   .rready
			s0_axi4lite_awprot  => CONNECTED_TO_s0_axi4lite_awprot,  --                   .awprot
			s0_axi4lite_arprot  => CONNECTED_TO_s0_axi4lite_arprot,  --                   .arprot
			s_axi4lite_aclk     => CONNECTED_TO_s_axi4lite_aclk,     --    s_axi4lite_aclk.clk
			s_axi4lite_aresetn  => CONNECTED_TO_s_axi4lite_aresetn   -- s_axi4lite_aresetn.reset_n
		);

