// ed_synth_noc_init_lite_0.v

// Generated using ACDS version 24.1 107

`timescale 1 ps / 1 ps
module ed_synth_noc_init_lite_0 (
		input  wire [43:0] s0_axi4lite_awaddr,  //        s0_axi4lite.awaddr
		input  wire        s0_axi4lite_awvalid, //                   .awvalid
		output wire        s0_axi4lite_awready, //                   .awready
		input  wire [31:0] s0_axi4lite_wdata,   //                   .wdata
		input  wire [3:0]  s0_axi4lite_wstrb,   //                   .wstrb
		input  wire        s0_axi4lite_wvalid,  //                   .wvalid
		output wire        s0_axi4lite_wready,  //                   .wready
		output wire [1:0]  s0_axi4lite_bresp,   //                   .bresp
		output wire        s0_axi4lite_bvalid,  //                   .bvalid
		input  wire        s0_axi4lite_bready,  //                   .bready
		input  wire [43:0] s0_axi4lite_araddr,  //                   .araddr
		input  wire        s0_axi4lite_arvalid, //                   .arvalid
		output wire        s0_axi4lite_arready, //                   .arready
		output wire [31:0] s0_axi4lite_rdata,   //                   .rdata
		output wire [1:0]  s0_axi4lite_rresp,   //                   .rresp
		output wire        s0_axi4lite_rvalid,  //                   .rvalid
		input  wire        s0_axi4lite_rready,  //                   .rready
		input  wire [2:0]  s0_axi4lite_awprot,  //                   .awprot
		input  wire [2:0]  s0_axi4lite_arprot,  //                   .arprot
		input  wire        s_axi4lite_aclk,     //    s_axi4lite_aclk.clk,     Clock Input
		input  wire        s_axi4lite_aresetn   // s_axi4lite_aresetn.reset_n, Reset Input
	);

	ed_synth_noc_init_lite_0_intel_noc_initiator_300_q7krjgq intel_noc_initiator_inst (
		.s0_axi4lite_awaddr  (s0_axi4lite_awaddr),  //   input,  width = 44,        s0_axi4lite.awaddr
		.s0_axi4lite_awvalid (s0_axi4lite_awvalid), //   input,   width = 1,                   .awvalid
		.s0_axi4lite_awready (s0_axi4lite_awready), //  output,   width = 1,                   .awready
		.s0_axi4lite_wdata   (s0_axi4lite_wdata),   //   input,  width = 32,                   .wdata
		.s0_axi4lite_wstrb   (s0_axi4lite_wstrb),   //   input,   width = 4,                   .wstrb
		.s0_axi4lite_wvalid  (s0_axi4lite_wvalid),  //   input,   width = 1,                   .wvalid
		.s0_axi4lite_wready  (s0_axi4lite_wready),  //  output,   width = 1,                   .wready
		.s0_axi4lite_bresp   (s0_axi4lite_bresp),   //  output,   width = 2,                   .bresp
		.s0_axi4lite_bvalid  (s0_axi4lite_bvalid),  //  output,   width = 1,                   .bvalid
		.s0_axi4lite_bready  (s0_axi4lite_bready),  //   input,   width = 1,                   .bready
		.s0_axi4lite_araddr  (s0_axi4lite_araddr),  //   input,  width = 44,                   .araddr
		.s0_axi4lite_arvalid (s0_axi4lite_arvalid), //   input,   width = 1,                   .arvalid
		.s0_axi4lite_arready (s0_axi4lite_arready), //  output,   width = 1,                   .arready
		.s0_axi4lite_rdata   (s0_axi4lite_rdata),   //  output,  width = 32,                   .rdata
		.s0_axi4lite_rresp   (s0_axi4lite_rresp),   //  output,   width = 2,                   .rresp
		.s0_axi4lite_rvalid  (s0_axi4lite_rvalid),  //  output,   width = 1,                   .rvalid
		.s0_axi4lite_rready  (s0_axi4lite_rready),  //   input,   width = 1,                   .rready
		.s0_axi4lite_awprot  (s0_axi4lite_awprot),  //   input,   width = 3,                   .awprot
		.s0_axi4lite_arprot  (s0_axi4lite_arprot),  //   input,   width = 3,                   .arprot
		.s_axi4lite_aclk     (s_axi4lite_aclk),     //   input,   width = 1,    s_axi4lite_aclk.clk
		.s_axi4lite_aresetn  (s_axi4lite_aresetn)   //   input,   width = 1, s_axi4lite_aresetn.reset_n
	);

endmodule
