	ed_synth_perf_monch1 u0 (
		.clk                (_connected_to_clk_),                //   input,    width = 1,          clk.clk
		.reset_n            (_connected_to_reset_n_),            //   input,    width = 1,      reset_n.reset_n
		.csr_clk            (_connected_to_csr_clk_),            //   input,    width = 1,      csr_clk.clk
		.csr_reset_n        (_connected_to_csr_reset_n_),        //   input,    width = 1,  csr_reset_n.reset_n
		.master_reset_reset (_connected_to_master_reset_reset_), //  output,    width = 1, master_reset.reset
		.src_axi4_awready   (_connected_to_src_axi4_awready_),   //   input,    width = 1,     src_axi4.awready
		.src_axi4_awvalid   (_connected_to_src_axi4_awvalid_),   //  output,    width = 1,             .awvalid
		.src_axi4_awid      (_connected_to_src_axi4_awid_),      //  output,    width = 7,             .awid
		.src_axi4_awaddr    (_connected_to_src_axi4_awaddr_),    //  output,   width = 44,             .awaddr
		.src_axi4_awlen     (_connected_to_src_axi4_awlen_),     //  output,    width = 8,             .awlen
		.src_axi4_awsize    (_connected_to_src_axi4_awsize_),    //  output,    width = 3,             .awsize
		.src_axi4_awburst   (_connected_to_src_axi4_awburst_),   //  output,    width = 2,             .awburst
		.src_axi4_awqos     (_connected_to_src_axi4_awqos_),     //  output,    width = 4,             .awqos
		.src_axi4_awlock    (_connected_to_src_axi4_awlock_),    //  output,    width = 1,             .awlock
		.src_axi4_awuser    (_connected_to_src_axi4_awuser_),    //  output,    width = 1,             .awuser
		.src_axi4_awprot    (_connected_to_src_axi4_awprot_),    //  output,    width = 3,             .awprot
		.src_axi4_awcache   (_connected_to_src_axi4_awcache_),   //  output,    width = 4,             .awcache
		.src_axi4_arready   (_connected_to_src_axi4_arready_),   //   input,    width = 1,             .arready
		.src_axi4_arvalid   (_connected_to_src_axi4_arvalid_),   //  output,    width = 1,             .arvalid
		.src_axi4_arid      (_connected_to_src_axi4_arid_),      //  output,    width = 7,             .arid
		.src_axi4_araddr    (_connected_to_src_axi4_araddr_),    //  output,   width = 44,             .araddr
		.src_axi4_arlen     (_connected_to_src_axi4_arlen_),     //  output,    width = 8,             .arlen
		.src_axi4_arsize    (_connected_to_src_axi4_arsize_),    //  output,    width = 3,             .arsize
		.src_axi4_arburst   (_connected_to_src_axi4_arburst_),   //  output,    width = 2,             .arburst
		.src_axi4_arqos     (_connected_to_src_axi4_arqos_),     //  output,    width = 4,             .arqos
		.src_axi4_arlock    (_connected_to_src_axi4_arlock_),    //  output,    width = 1,             .arlock
		.src_axi4_aruser    (_connected_to_src_axi4_aruser_),    //  output,    width = 1,             .aruser
		.src_axi4_arprot    (_connected_to_src_axi4_arprot_),    //  output,    width = 3,             .arprot
		.src_axi4_arcache   (_connected_to_src_axi4_arcache_),   //  output,    width = 4,             .arcache
		.src_axi4_wready    (_connected_to_src_axi4_wready_),    //   input,    width = 1,             .wready
		.src_axi4_wvalid    (_connected_to_src_axi4_wvalid_),    //  output,    width = 1,             .wvalid
		.src_axi4_wdata     (_connected_to_src_axi4_wdata_),     //  output,  width = 256,             .wdata
		.src_axi4_wuser     (_connected_to_src_axi4_wuser_),     //  output,    width = 1,             .wuser
		.src_axi4_wstrb     (_connected_to_src_axi4_wstrb_),     //  output,   width = 32,             .wstrb
		.src_axi4_wlast     (_connected_to_src_axi4_wlast_),     //  output,    width = 1,             .wlast
		.src_axi4_bready    (_connected_to_src_axi4_bready_),    //  output,    width = 1,             .bready
		.src_axi4_bvalid    (_connected_to_src_axi4_bvalid_),    //   input,    width = 1,             .bvalid
		.src_axi4_bid       (_connected_to_src_axi4_bid_),       //   input,    width = 7,             .bid
		.src_axi4_bresp     (_connected_to_src_axi4_bresp_),     //   input,    width = 2,             .bresp
		.src_axi4_buser     (_connected_to_src_axi4_buser_),     //   input,    width = 1,             .buser
		.src_axi4_rready    (_connected_to_src_axi4_rready_),    //  output,    width = 1,             .rready
		.src_axi4_rvalid    (_connected_to_src_axi4_rvalid_),    //   input,    width = 1,             .rvalid
		.src_axi4_rid       (_connected_to_src_axi4_rid_),       //   input,    width = 7,             .rid
		.src_axi4_rdata     (_connected_to_src_axi4_rdata_),     //   input,  width = 256,             .rdata
		.src_axi4_rresp     (_connected_to_src_axi4_rresp_),     //   input,    width = 2,             .rresp
		.src_axi4_ruser     (_connected_to_src_axi4_ruser_),     //   input,    width = 1,             .ruser
		.src_axi4_rlast     (_connected_to_src_axi4_rlast_),     //   input,    width = 1,             .rlast
		.sink_axi4_awready  (_connected_to_sink_axi4_awready_),  //  output,    width = 1,    sink_axi4.awready
		.sink_axi4_awvalid  (_connected_to_sink_axi4_awvalid_),  //   input,    width = 1,             .awvalid
		.sink_axi4_awid     (_connected_to_sink_axi4_awid_),     //   input,    width = 7,             .awid
		.sink_axi4_awaddr   (_connected_to_sink_axi4_awaddr_),   //   input,   width = 44,             .awaddr
		.sink_axi4_awlen    (_connected_to_sink_axi4_awlen_),    //   input,    width = 8,             .awlen
		.sink_axi4_awsize   (_connected_to_sink_axi4_awsize_),   //   input,    width = 3,             .awsize
		.sink_axi4_awburst  (_connected_to_sink_axi4_awburst_),  //   input,    width = 2,             .awburst
		.sink_axi4_awqos    (_connected_to_sink_axi4_awqos_),    //   input,    width = 4,             .awqos
		.sink_axi4_awlock   (_connected_to_sink_axi4_awlock_),   //   input,    width = 1,             .awlock
		.sink_axi4_awuser   (_connected_to_sink_axi4_awuser_),   //   input,    width = 1,             .awuser
		.sink_axi4_awprot   (_connected_to_sink_axi4_awprot_),   //   input,    width = 3,             .awprot
		.sink_axi4_awcache  (_connected_to_sink_axi4_awcache_),  //   input,    width = 4,             .awcache
		.sink_axi4_arready  (_connected_to_sink_axi4_arready_),  //  output,    width = 1,             .arready
		.sink_axi4_arvalid  (_connected_to_sink_axi4_arvalid_),  //   input,    width = 1,             .arvalid
		.sink_axi4_arid     (_connected_to_sink_axi4_arid_),     //   input,    width = 7,             .arid
		.sink_axi4_araddr   (_connected_to_sink_axi4_araddr_),   //   input,   width = 44,             .araddr
		.sink_axi4_arlen    (_connected_to_sink_axi4_arlen_),    //   input,    width = 8,             .arlen
		.sink_axi4_arsize   (_connected_to_sink_axi4_arsize_),   //   input,    width = 3,             .arsize
		.sink_axi4_arburst  (_connected_to_sink_axi4_arburst_),  //   input,    width = 2,             .arburst
		.sink_axi4_arqos    (_connected_to_sink_axi4_arqos_),    //   input,    width = 4,             .arqos
		.sink_axi4_arlock   (_connected_to_sink_axi4_arlock_),   //   input,    width = 1,             .arlock
		.sink_axi4_aruser   (_connected_to_sink_axi4_aruser_),   //   input,    width = 1,             .aruser
		.sink_axi4_arprot   (_connected_to_sink_axi4_arprot_),   //   input,    width = 3,             .arprot
		.sink_axi4_arcache  (_connected_to_sink_axi4_arcache_),  //   input,    width = 4,             .arcache
		.sink_axi4_wready   (_connected_to_sink_axi4_wready_),   //  output,    width = 1,             .wready
		.sink_axi4_wvalid   (_connected_to_sink_axi4_wvalid_),   //   input,    width = 1,             .wvalid
		.sink_axi4_wdata    (_connected_to_sink_axi4_wdata_),    //   input,  width = 256,             .wdata
		.sink_axi4_wuser    (_connected_to_sink_axi4_wuser_),    //   input,    width = 1,             .wuser
		.sink_axi4_wstrb    (_connected_to_sink_axi4_wstrb_),    //   input,   width = 32,             .wstrb
		.sink_axi4_wlast    (_connected_to_sink_axi4_wlast_),    //   input,    width = 1,             .wlast
		.sink_axi4_bready   (_connected_to_sink_axi4_bready_),   //   input,    width = 1,             .bready
		.sink_axi4_bvalid   (_connected_to_sink_axi4_bvalid_),   //  output,    width = 1,             .bvalid
		.sink_axi4_bid      (_connected_to_sink_axi4_bid_),      //  output,    width = 7,             .bid
		.sink_axi4_bresp    (_connected_to_sink_axi4_bresp_),    //  output,    width = 2,             .bresp
		.sink_axi4_buser    (_connected_to_sink_axi4_buser_),    //  output,    width = 1,             .buser
		.sink_axi4_rready   (_connected_to_sink_axi4_rready_),   //   input,    width = 1,             .rready
		.sink_axi4_rvalid   (_connected_to_sink_axi4_rvalid_),   //  output,    width = 1,             .rvalid
		.sink_axi4_rid      (_connected_to_sink_axi4_rid_),      //  output,    width = 7,             .rid
		.sink_axi4_rdata    (_connected_to_sink_axi4_rdata_),    //  output,  width = 256,             .rdata
		.sink_axi4_rresp    (_connected_to_sink_axi4_rresp_),    //  output,    width = 2,             .rresp
		.sink_axi4_ruser    (_connected_to_sink_axi4_ruser_),    //  output,    width = 1,             .ruser
		.sink_axi4_rlast    (_connected_to_sink_axi4_rlast_)     //  output,    width = 1,             .rlast
	);

