// ed_synth_perf_monch1.v

// Generated using ACDS version 24.1 107

`timescale 1 ps / 1 ps
module ed_synth_perf_monch1 (
		input  wire         clk,                //          clk.clk,     Clock Input
		input  wire         reset_n,            //      reset_n.reset_n, Reset Input
		input  wire         csr_clk,            //      csr_clk.clk,     Clock Input
		input  wire         csr_reset_n,        //  csr_reset_n.reset_n
		output wire         master_reset_reset, // master_reset.reset,   Reset Output
		input  wire         src_axi4_awready,   //     src_axi4.awready
		output wire         src_axi4_awvalid,   //             .awvalid
		output wire [6:0]   src_axi4_awid,      //             .awid
		output wire [43:0]  src_axi4_awaddr,    //             .awaddr
		output wire [7:0]   src_axi4_awlen,     //             .awlen
		output wire [2:0]   src_axi4_awsize,    //             .awsize
		output wire [1:0]   src_axi4_awburst,   //             .awburst
		output wire [3:0]   src_axi4_awqos,     //             .awqos
		output wire [0:0]   src_axi4_awlock,    //             .awlock
		output wire [0:0]   src_axi4_awuser,    //             .awuser
		output wire [2:0]   src_axi4_awprot,    //             .awprot
		output wire [3:0]   src_axi4_awcache,   //             .awcache
		input  wire         src_axi4_arready,   //             .arready
		output wire         src_axi4_arvalid,   //             .arvalid
		output wire [6:0]   src_axi4_arid,      //             .arid
		output wire [43:0]  src_axi4_araddr,    //             .araddr
		output wire [7:0]   src_axi4_arlen,     //             .arlen
		output wire [2:0]   src_axi4_arsize,    //             .arsize
		output wire [1:0]   src_axi4_arburst,   //             .arburst
		output wire [3:0]   src_axi4_arqos,     //             .arqos
		output wire [0:0]   src_axi4_arlock,    //             .arlock
		output wire [0:0]   src_axi4_aruser,    //             .aruser
		output wire [2:0]   src_axi4_arprot,    //             .arprot
		output wire [3:0]   src_axi4_arcache,   //             .arcache
		input  wire         src_axi4_wready,    //             .wready
		output wire         src_axi4_wvalid,    //             .wvalid
		output wire [255:0] src_axi4_wdata,     //             .wdata
		output wire [0:0]   src_axi4_wuser,     //             .wuser
		output wire [31:0]  src_axi4_wstrb,     //             .wstrb
		output wire         src_axi4_wlast,     //             .wlast
		output wire         src_axi4_bready,    //             .bready
		input  wire         src_axi4_bvalid,    //             .bvalid
		input  wire [6:0]   src_axi4_bid,       //             .bid
		input  wire [1:0]   src_axi4_bresp,     //             .bresp
		input  wire [0:0]   src_axi4_buser,     //             .buser
		output wire         src_axi4_rready,    //             .rready
		input  wire         src_axi4_rvalid,    //             .rvalid
		input  wire [6:0]   src_axi4_rid,       //             .rid
		input  wire [255:0] src_axi4_rdata,     //             .rdata
		input  wire [1:0]   src_axi4_rresp,     //             .rresp
		input  wire [0:0]   src_axi4_ruser,     //             .ruser
		input  wire         src_axi4_rlast,     //             .rlast
		output wire         sink_axi4_awready,  //    sink_axi4.awready
		input  wire         sink_axi4_awvalid,  //             .awvalid
		input  wire [6:0]   sink_axi4_awid,     //             .awid
		input  wire [43:0]  sink_axi4_awaddr,   //             .awaddr
		input  wire [7:0]   sink_axi4_awlen,    //             .awlen
		input  wire [2:0]   sink_axi4_awsize,   //             .awsize
		input  wire [1:0]   sink_axi4_awburst,  //             .awburst
		input  wire [3:0]   sink_axi4_awqos,    //             .awqos
		input  wire [0:0]   sink_axi4_awlock,   //             .awlock
		input  wire [0:0]   sink_axi4_awuser,   //             .awuser
		input  wire [2:0]   sink_axi4_awprot,   //             .awprot
		input  wire [3:0]   sink_axi4_awcache,  //             .awcache
		output wire         sink_axi4_arready,  //             .arready
		input  wire         sink_axi4_arvalid,  //             .arvalid
		input  wire [6:0]   sink_axi4_arid,     //             .arid
		input  wire [43:0]  sink_axi4_araddr,   //             .araddr
		input  wire [7:0]   sink_axi4_arlen,    //             .arlen
		input  wire [2:0]   sink_axi4_arsize,   //             .arsize
		input  wire [1:0]   sink_axi4_arburst,  //             .arburst
		input  wire [3:0]   sink_axi4_arqos,    //             .arqos
		input  wire [0:0]   sink_axi4_arlock,   //             .arlock
		input  wire [0:0]   sink_axi4_aruser,   //             .aruser
		input  wire [2:0]   sink_axi4_arprot,   //             .arprot
		input  wire [3:0]   sink_axi4_arcache,  //             .arcache
		output wire         sink_axi4_wready,   //             .wready
		input  wire         sink_axi4_wvalid,   //             .wvalid
		input  wire [255:0] sink_axi4_wdata,    //             .wdata
		input  wire [0:0]   sink_axi4_wuser,    //             .wuser
		input  wire [31:0]  sink_axi4_wstrb,    //             .wstrb
		input  wire         sink_axi4_wlast,    //             .wlast
		input  wire         sink_axi4_bready,   //             .bready
		output wire         sink_axi4_bvalid,   //             .bvalid
		output wire [6:0]   sink_axi4_bid,      //             .bid
		output wire [1:0]   sink_axi4_bresp,    //             .bresp
		output wire [0:0]   sink_axi4_buser,    //             .buser
		input  wire         sink_axi4_rready,   //             .rready
		output wire         sink_axi4_rvalid,   //             .rvalid
		output wire [6:0]   sink_axi4_rid,      //             .rid
		output wire [255:0] sink_axi4_rdata,    //             .rdata
		output wire [1:0]   sink_axi4_rresp,    //             .rresp
		output wire [0:0]   sink_axi4_ruser,    //             .ruser
		output wire         sink_axi4_rlast     //             .rlast
	);

	ed_synth_perf_monch1_pmon_100_ysgtxla perf_monch1 (
		.clk                (clk),                //   input,    width = 1,          clk.clk
		.reset_n            (reset_n),            //   input,    width = 1,      reset_n.reset_n
		.csr_clk            (csr_clk),            //   input,    width = 1,      csr_clk.clk
		.csr_reset_n        (csr_reset_n),        //   input,    width = 1,  csr_reset_n.reset_n
		.master_reset_reset (master_reset_reset), //  output,    width = 1, master_reset.reset
		.src_axi4_awready   (src_axi4_awready),   //   input,    width = 1,     src_axi4.awready
		.src_axi4_awvalid   (src_axi4_awvalid),   //  output,    width = 1,             .awvalid
		.src_axi4_awid      (src_axi4_awid),      //  output,    width = 7,             .awid
		.src_axi4_awaddr    (src_axi4_awaddr),    //  output,   width = 44,             .awaddr
		.src_axi4_awlen     (src_axi4_awlen),     //  output,    width = 8,             .awlen
		.src_axi4_awsize    (src_axi4_awsize),    //  output,    width = 3,             .awsize
		.src_axi4_awburst   (src_axi4_awburst),   //  output,    width = 2,             .awburst
		.src_axi4_awqos     (src_axi4_awqos),     //  output,    width = 4,             .awqos
		.src_axi4_awlock    (src_axi4_awlock),    //  output,    width = 1,             .awlock
		.src_axi4_awuser    (src_axi4_awuser),    //  output,    width = 1,             .awuser
		.src_axi4_awprot    (src_axi4_awprot),    //  output,    width = 3,             .awprot
		.src_axi4_awcache   (src_axi4_awcache),   //  output,    width = 4,             .awcache
		.src_axi4_arready   (src_axi4_arready),   //   input,    width = 1,             .arready
		.src_axi4_arvalid   (src_axi4_arvalid),   //  output,    width = 1,             .arvalid
		.src_axi4_arid      (src_axi4_arid),      //  output,    width = 7,             .arid
		.src_axi4_araddr    (src_axi4_araddr),    //  output,   width = 44,             .araddr
		.src_axi4_arlen     (src_axi4_arlen),     //  output,    width = 8,             .arlen
		.src_axi4_arsize    (src_axi4_arsize),    //  output,    width = 3,             .arsize
		.src_axi4_arburst   (src_axi4_arburst),   //  output,    width = 2,             .arburst
		.src_axi4_arqos     (src_axi4_arqos),     //  output,    width = 4,             .arqos
		.src_axi4_arlock    (src_axi4_arlock),    //  output,    width = 1,             .arlock
		.src_axi4_aruser    (src_axi4_aruser),    //  output,    width = 1,             .aruser
		.src_axi4_arprot    (src_axi4_arprot),    //  output,    width = 3,             .arprot
		.src_axi4_arcache   (src_axi4_arcache),   //  output,    width = 4,             .arcache
		.src_axi4_wready    (src_axi4_wready),    //   input,    width = 1,             .wready
		.src_axi4_wvalid    (src_axi4_wvalid),    //  output,    width = 1,             .wvalid
		.src_axi4_wdata     (src_axi4_wdata),     //  output,  width = 256,             .wdata
		.src_axi4_wuser     (src_axi4_wuser),     //  output,    width = 1,             .wuser
		.src_axi4_wstrb     (src_axi4_wstrb),     //  output,   width = 32,             .wstrb
		.src_axi4_wlast     (src_axi4_wlast),     //  output,    width = 1,             .wlast
		.src_axi4_bready    (src_axi4_bready),    //  output,    width = 1,             .bready
		.src_axi4_bvalid    (src_axi4_bvalid),    //   input,    width = 1,             .bvalid
		.src_axi4_bid       (src_axi4_bid),       //   input,    width = 7,             .bid
		.src_axi4_bresp     (src_axi4_bresp),     //   input,    width = 2,             .bresp
		.src_axi4_buser     (src_axi4_buser),     //   input,    width = 1,             .buser
		.src_axi4_rready    (src_axi4_rready),    //  output,    width = 1,             .rready
		.src_axi4_rvalid    (src_axi4_rvalid),    //   input,    width = 1,             .rvalid
		.src_axi4_rid       (src_axi4_rid),       //   input,    width = 7,             .rid
		.src_axi4_rdata     (src_axi4_rdata),     //   input,  width = 256,             .rdata
		.src_axi4_rresp     (src_axi4_rresp),     //   input,    width = 2,             .rresp
		.src_axi4_ruser     (src_axi4_ruser),     //   input,    width = 1,             .ruser
		.src_axi4_rlast     (src_axi4_rlast),     //   input,    width = 1,             .rlast
		.sink_axi4_awready  (sink_axi4_awready),  //  output,    width = 1,    sink_axi4.awready
		.sink_axi4_awvalid  (sink_axi4_awvalid),  //   input,    width = 1,             .awvalid
		.sink_axi4_awid     (sink_axi4_awid),     //   input,    width = 7,             .awid
		.sink_axi4_awaddr   (sink_axi4_awaddr),   //   input,   width = 44,             .awaddr
		.sink_axi4_awlen    (sink_axi4_awlen),    //   input,    width = 8,             .awlen
		.sink_axi4_awsize   (sink_axi4_awsize),   //   input,    width = 3,             .awsize
		.sink_axi4_awburst  (sink_axi4_awburst),  //   input,    width = 2,             .awburst
		.sink_axi4_awqos    (sink_axi4_awqos),    //   input,    width = 4,             .awqos
		.sink_axi4_awlock   (sink_axi4_awlock),   //   input,    width = 1,             .awlock
		.sink_axi4_awuser   (sink_axi4_awuser),   //   input,    width = 1,             .awuser
		.sink_axi4_awprot   (sink_axi4_awprot),   //   input,    width = 3,             .awprot
		.sink_axi4_awcache  (sink_axi4_awcache),  //   input,    width = 4,             .awcache
		.sink_axi4_arready  (sink_axi4_arready),  //  output,    width = 1,             .arready
		.sink_axi4_arvalid  (sink_axi4_arvalid),  //   input,    width = 1,             .arvalid
		.sink_axi4_arid     (sink_axi4_arid),     //   input,    width = 7,             .arid
		.sink_axi4_araddr   (sink_axi4_araddr),   //   input,   width = 44,             .araddr
		.sink_axi4_arlen    (sink_axi4_arlen),    //   input,    width = 8,             .arlen
		.sink_axi4_arsize   (sink_axi4_arsize),   //   input,    width = 3,             .arsize
		.sink_axi4_arburst  (sink_axi4_arburst),  //   input,    width = 2,             .arburst
		.sink_axi4_arqos    (sink_axi4_arqos),    //   input,    width = 4,             .arqos
		.sink_axi4_arlock   (sink_axi4_arlock),   //   input,    width = 1,             .arlock
		.sink_axi4_aruser   (sink_axi4_aruser),   //   input,    width = 1,             .aruser
		.sink_axi4_arprot   (sink_axi4_arprot),   //   input,    width = 3,             .arprot
		.sink_axi4_arcache  (sink_axi4_arcache),  //   input,    width = 4,             .arcache
		.sink_axi4_wready   (sink_axi4_wready),   //  output,    width = 1,             .wready
		.sink_axi4_wvalid   (sink_axi4_wvalid),   //   input,    width = 1,             .wvalid
		.sink_axi4_wdata    (sink_axi4_wdata),    //   input,  width = 256,             .wdata
		.sink_axi4_wuser    (sink_axi4_wuser),    //   input,    width = 1,             .wuser
		.sink_axi4_wstrb    (sink_axi4_wstrb),    //   input,   width = 32,             .wstrb
		.sink_axi4_wlast    (sink_axi4_wlast),    //   input,    width = 1,             .wlast
		.sink_axi4_bready   (sink_axi4_bready),   //   input,    width = 1,             .bready
		.sink_axi4_bvalid   (sink_axi4_bvalid),   //  output,    width = 1,             .bvalid
		.sink_axi4_bid      (sink_axi4_bid),      //  output,    width = 7,             .bid
		.sink_axi4_bresp    (sink_axi4_bresp),    //  output,    width = 2,             .bresp
		.sink_axi4_buser    (sink_axi4_buser),    //  output,    width = 1,             .buser
		.sink_axi4_rready   (sink_axi4_rready),   //   input,    width = 1,             .rready
		.sink_axi4_rvalid   (sink_axi4_rvalid),   //  output,    width = 1,             .rvalid
		.sink_axi4_rid      (sink_axi4_rid),      //  output,    width = 7,             .rid
		.sink_axi4_rdata    (sink_axi4_rdata),    //  output,  width = 256,             .rdata
		.sink_axi4_rresp    (sink_axi4_rresp),    //  output,    width = 2,             .rresp
		.sink_axi4_ruser    (sink_axi4_ruser),    //  output,    width = 1,             .ruser
		.sink_axi4_rlast    (sink_axi4_rlast)     //  output,    width = 1,             .rlast
	);

endmodule
